/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2006 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window.','jsMath','||!',1,'jsMath.','loaded','){if(',1,'parent','&&',1,9,'.',2,'){',2,'=',1,9,'.',2,';}var ','jsMath_old','=',1,2,';',0,'document.','getElementById','||!',29,'childNodes||!',29,'createElement','){','alert("','The',' mathematics ','on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your ','browser',' doesn\'t seem to have this.");}','else{',2,'={version:"3.2a",document:document,window:window,sizes:[50,60,70,85,100,120,144,173,207,249],styles:{".math','":"font-family: serif; font-style: normal; font-weight: normal','",".typeset',46,'","div.typeset','":"text-align: ','center; margin: 1em 0px;","span.typeset',50,'left',47,' span',50,'left','; border:0px','; margin:0px; padding:0px','",".typeset .','normal',46,60,'size0','":"font-size: ','50','%",".typeset .','size1',65,'60',67,'size2',65,'70',67,'size3',65,'85',67,'size4',65,'100',67,'size5',65,'120',67,'size6',65,'144',67,'size7',65,'173',67,'size8',65,'207',67,'size9',65,'249',67,'cmr10','":"font-family: jsMath-',104,', serif',60,'cmbx10',105,109,', ',2,'-cmr10',60,'cmti10',105,116,', ',2,114,60,'cmmi10',105,123,60,'cmsy10',105,127,60,'cmex10',105,131,60,'textit','":"font-family: serif; font-','style:italic',60,'textbf',136,'weight:bold',60,'link":"','text-decoration',': none',60,'error',65,'10pt; font-style: italic; "+"','background-color',': #FFFFCC','; padding: ','1px; "+"','border: ','1px solid',' #CC0000',60,'blank":"','display:inline-block','; ','overflow:hidden',58,' none; width:0px; height:0px;",".typeset .','spacer','":"',159,'","#jsMath_message','":"position:fixed; bottom:','1px; left:2px; ',150,':#E6E6E6','; "+"border: solid 1px #959595; margin:0px; padding: ','1px 8px','; "+"z-index:102; color',': black','; font-size:small; width:auto;","#','jsMath_panel',168,'1.5em; right:1.5em',152,'10px 20px','; "+"',150,':#DDDDDD; border: outset ','2px; "+"z-index:103; width:auto;","#','jsMath_button',168,'1px; right:2px; ',150,':white',172,'0px 3px 1px 3px',174,':black; ',144,':none','; font-size',':x-small; "+"','width:auto; cursor:pointer; cursor:hand',';","#jsMath_float','":"','position:absolute','; top:0px; left:0px; max-width:80%; "+"z-index:101; ','width:auto; height:auto',200,' .drag":"',150,184,'1px; height:12px',197,': 1px',200,' .close":"',150,171,'; border: ','inset 1px; width:8px; height:8px; margin: 1px 2px',200,' .source":"',150,':#E2E2E2',216,'outset ',153,204,152,'8px 15px; "+"font-family: courier, fixed',197,': 90%","#','jsMath_noFont',50,'center',152,181,216,'3px solid #DD0000; "+"',150,': #FFF8F8; color: #AA0000',176,230,' .link":"padding: 0px 5px 2px 5px',216,'2px outset; ',150,':#E8E8E8; "+"color:black',197,':80%; ',199,';","@media print":"#',186,' {','display:none','}"},Element',':function(','_1){return ',5,29,30,'("jsMath_"+_1);},','BBoxFor',254,'s','){this.','hidden.innerHTML','="<nobr><span class=\\"typeset\\"><span class=\\"scale\\">"+s+"</span></span></nobr>";var _3={w:this.','hidden','.offsetWidth',',h:this.',266,'.offsetHeight','};this.',264,'="";return _3;},EmBoxFor',254,'s){var _5','=this.BBoxFor','(s);return {w:_5.w/this.em,h:_5','.h/this.em};},','EmBoxForItalics',254,'s){var _7',276,'(s);if(s.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){_7.w',276,'(s+',5,'Browser.','italicString',').w-',5,287,'italicCorrection',';}return {w:_7.w/this.em,h:_7',278,'Init',':function(){','if(',5,'Setup.inited','!=1',7,5,299,'){',37,'It looks like ',2,' failed to set up properly (error code "+',5,299,'+").  "+"I\'ll will try to keep going, but it could get ugly.");',5,299,'=1;}',43,37,'You must call ',5,'Setup.','Body() explicitly when ',2,' is"+"',6,' as part of the <HEAD> section");}',5,319,'Body();}this.em',276,'("<span style=\\""+',5,287,'block+";','width:10em;height:1em','\\"></span','>").w/10;if(this.em==0',263,'em',276,'("<img src=\\""+',5,'blank+"\\" style=\\"',333,'\\"/>").w/10;}if(',5,287,288,'){',5,287,292,'=',5,260,'(',5,287,288,').w;}var bb',276,'("x");var h=bb.h;var d',276,'("x"+',5,'HTML.Rule(1,','h/',5,'em)).h-h;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',319,'TeXfonts','();var _b=this.','EmBoxFor("<span class','=\\"',104,'\\">M</span>").w/2;this.TeX.M_height=_b*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',263,319,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(this.','TeX.cmex10[','0].h+this.',382,'0].d)/0.85;',376,'=1;},ReInit',296,'var w',276,'("x").w;if(w!=this.xWidth',263,'Init();}},Loaded',296,'if(',23,'){var _d=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_d','.length;i++){if(',23,'[_d[i]]){',23,'[_d[i]]=null;}}}if(',23,263,'Insert(',2,',',23,');}',23,'=null;',5,6,'=1;},Add',254,'_f,src){','for(var id in ','src){_f[id]=src[id];}},Insert',254,'dst,src){',419,'src',7,'dst[id]&&typeof (src[id])=="object"&&(','typeof (dst[id])=="','object"||',427,'function")){this.',407,'dst[id],src[id]);}',43,'dst[id]=src[id];}}},Package',254,'obj,def',263,407,'obj.prototype,def);}};',5,'Script={request:null,Init',296,'if(!(',5,'Controls.cookie','.asynch&&',5,445,'.progress',')){if(',1,'XMLHttpRequest','){','this.request','=new ',452,';}',43,'if(',1,'ActiveXObject','){try{',454,'=new ',461,'("Microsoft.XMLHTTP");}catch(err){}}}}',0,454,'||',5,319,'domainChanged',263,'Load=this.delayedLoad;this.needsBody=1;}},Load',254,'url,_18',7,'_18){',5,'Message.Set("Loading "+url);',5,'Script.','Delay(1);',5,'Script.Push(','this,"xmlRequest",url',');',5,485,5,'Message',',"Clear");}',43,5,485,486,');}},','xmlRequest',254,'url){','this.debug("',498,': "+url);','try{',454,'.open("GET",url,false);',454,'.send(null);}catch(err','){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',491,': "+err.message;}if(',454,'.status','&&',454,513,'>=400',509,'Error status: "+',454,513,';}this.','Start();','this.blocking','=1;',5,1,'eval(',454,'.responseText);this.End();',524,'=0;this.Process','();},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],queueAt:0,Synchronize',254,'_1a,_1b){','if(typeof (','_1a)!="string"){',5,485,'null,_1a,_1b);}',43,5,485,5,'window,"eval",_1a);}},Push',254,'_1c,_1d,_1e){',501,'Pushing: "+_1d+" at "+','this.queueAt',');this.queue=[].concat(','this.queue.slice(','0,',550,'),[[_1c,_1d,_1e]],',552,550,'));',550,'++;if(!(',524,'||(this.needsBody&&!',5,29,'body))){this.Process();}},Process',296,'while(','this.queue.length','&&!',524,263,523,'var _1f=this.queue[0];this.queue=',552,'1);var _20=_1f[0];var _21=_1f[1];var _22=_1f[2];',501,'Calling: "+_21);if(_20){_20[_21](_22);}',43,'if(_21){_21(_22);}}',501,'Done:    "+_21);}this.End();},Start',296,550,'=0;},End',296,550,'=',568,';},delayedLoad',254,'url){',501,'Loading',503,'this.Push(this,"startLoad",url);},startLoad',254,'url){','this.iframe','=',5,29,35,'("iframe");','this.iframe.style.','visibility="',266,'";',604,'position="absolute";',604,'width="0px";',604,'height="0px";if(',5,29,'body.firstChild','){',5,29,'body.insertBefore(',598,',',5,29,616,');}',43,5,29,'body','.appendChild(',598,');}',524,'=1;this.','url=url;',0,'url.match(/\\.js$/)){',598,'.src=url;}',43,598,'.src=',5,'root+"',2,'-loader.html";}if(url.substr(0,',5,'root.length',')==',5,'root){url=url.substr(',5,649,');}',5,480,501,'Starting',503,'this.cancelTimer','=setTimeout("',5,482,'cancelLoad','()",this.cancelTimeout);},endLoad',254,'_25){',501,'Ending: "+this.url);if(',661,'){clearTimeout(',661,');',661,'=null;}',5,491,'.Clear();if(_25!="cancel"){',524,532,'();}},',665,296,661,'=null;',5,491,'.Set("Can\'t load file");this.endLoad("cancel");},Delay',254,'_26){',524,'=1;setTimeout("',5,482,'endDelay','()",_26);},',696,296,501,696,'");',524,532,'();},','imageCount',':0,','WaitForImage',254,'_27){',524,635,706,'++;if(this.img==null',263,'img=[];}var img=new Image',380,'img[this.img.length]=img;img.onload=function(){if(--',5,482,706,'==0){',5,482,696,'();}};img.onerror','=img.onload;img.','onabort',727,'src=_27;},Uncompress',254,'_29){','for(var k=0;k<','_29.length;k++){var d=_29[k];var n=d.length;',398,'n;i++){',536,'d[i])=="number"){d[i]=d[d[i]];}}_29[k]=d.join("");}',1,'eval(_29.join(""));},debug',254,'_2e){}};',5,491,'={blank:null,message:null,text:null,clear:null,Init',296,0,5,29,'body||!',5,445,449,'){return;}','if(',5,319,'stylesReady){','this.message','=',5,'Setup.DIV("message",{visibility:"hidden','"});}',43,759,'=',5,762,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}','this.text','=',5,29,'createTextNode','("");',759,631,773,');',759,'.onmousedown=',5,'Translate.Cancel;},Set',254,'_2f,_30){','if(this.clear){clearTimeout(this.clear',');','this.clear',676,'if(',5,445,449,'){',0,773,263,'Init();',0,773,'){return;}}if(',5,287,'textNodeBug','){',759,'.innerHTML','=_2f;}',43,773,'.nodeValue',811,759,'.style.visibility="','visible";if(_30){',759,'.style.cursor','="pointer";',0,759,820,'){',759,820,'="hand";}',759,'.title=" Cancel Processing of Math ";}',43,759,820,';',759,'.title="";}}',43,'if(_2f.substr(0,8)!="Loading "){',5,1,'status=_2f;}}},Clear',296,789,');}',791,'=setTimeout("',5,491,'.doClear()",1000);},doClear',296,'if(',791,263,'clear=null;',5,1,'status="";if(',773,'){',773,814,'="";}if(',759,'){',759,817,266,'";}}},Blank',296,'if(','this.blank','||!',5,29,'body',754,871,'=',5,319,'DIV("blank",{position:(',5,287,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',771,':"white"});if(',5,287,'msieBlankBug','){',871,810,'="&nbsp;";',871,'.style.width="110%";',871,'.style.height="110%";}},UnBlank',296,'if(',871,'){',5,29,'body.removeChild(',871,');}',871,'=null;}};',5,'Setup={',6,':[],DIV',254,'id,_32){var div=',5,29,35,'("div");div.id="jsMath_"+id;','for(var i in ','_32){div.style[i]=_32[i];}',0,5,29,'body.hasChildNodes){',5,29,'body',631,'div);}',43,5,29,620,'div,',5,29,616,');}return div;},Script',254,'_35,_36',7,'this.loaded[_35',']){','return;}',43,943,']=1;}',0,'_35.match("^([a-zA-Z]+:/?)?/")){_35=',5,'root+_35;}',5,482,'Load(_35,_36);},Hidden',296,5,266,'=this.DIV("Hidden",{visibility:"',266,769,'top:0,left:0,border:0,padding:0,margin:0});',5,'hiddenTop=',5,266,';return;},Source',296,'if(',5,'Autoload&&',5,'Autoload.root','){',5,'root=',5,973,';}',43,5,'root="";var _37=',5,29,'getElementsByTagName("','script");if(_37){',398,'_37','.length;i++){var ','src=_37[i].src;if(src&&src.match("(^|/)',5,'js$")){',5,'root=src.replace','(/',5,'js$/,"");if(',5,'root.charAt(0)=="/"){',5,976,5,29,'location','.protocol+"//"+',5,29,1004,'.host+',5,'root;}',43,0,5,'root.match','(/^[a-z]+:/i)){src','=new String(',5,29,1004,');',5,994,'(new RegExp("[^/]*$"),"")+',5,'root;',567,5,1015,'("/[^/]*/\\\\.\\\\./")){',5,976,5,'root.replace(new RegExp("/[^/]*/\\\\.\\\\./"),"/");}}}i=_37.length;}}}}',5,'Img.',976,5,645,'fonts/";',5,'blank=',5,645,'blank.gif";this.Domain();},Domain',296,'var _3a="";var _3b=',5,29,'domain;if(',5,1015,'("://([^/]*)/")){_3a=RegExp.$1;}_3a=_3a.replace(/:\\d+$/,"");if(_3a==""||_3a==_3b',754,'if(navigator.','appName=="Microsoft Internet Explorer"&&','navigator.','platform=="','MacPPC"&&',1057,'onLine&&',1057,'userProfile&&',5,29,'all',754,'_3a=_3a.split(/\\./);_3b=_3b.split(/\\./);if(_3a.length<2||_3b.length<2||','_3a[_3a.length-','1',']!=_3b[_3b.length-','1]||',1069,'2',1071,'2]){this.','DomainWarning','();',945,'var _3c=',1069,'2]+"."+',1069,'1];for(var i=3;i<=_3a.length&&i<=_3b',400,1069,'i',1071,'i]){break;}_3c=',1069,'i]+"."+_3c;}',5,29,'domain=_3c;this.',472,'=1;},',1077,296,37,'In order for ',2,' to be able to load the additional "+"components that it may need, the ',5,'js file must be "+"',6,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the',39,'displayed here may not appear correctly.");},','EncodeFont',254,'_3e){var _3f=',5,'TeX[_3e];if(_3f[0].c!=null',754,733,'128;k++){var _41=_3f[k];_3f[k]=_41[3];if(_3f[k]==null){_3f[k]={};}_3f[k].w=_41[0];_3f[k].h=_41[1];if(_41[2]!=null){_3f[k].d=_41[2];}_3f[k].c=',5,'TeX.encoding[k];}},Fonts',296,398,5,'TeX.fam',989,'_43=',5,1122,'[i];if(_43',263,1109,'(_43);}}},TeXfont',254,'_44){var _45=',5,'TeX[_44];if(_45==null',754,'var WH=',5,371,'=\\""+_44+"\\">"+_45[65','].c+"</span>");','_45.hd=WH.h;_45.dh=0.05;_45.d=',5,371,'=\\""+_44+"\\">"+_45[65].c+',5,364,'_45.hd)+"</span>").h-_45.hd;_45.h=_45.hd-_45.d;','if(_44=="',123,'"){_45.skewchar=','127;}',43,1148,127,1150,'48;}}},',369,296,398,5,1122,400,5,1122,'[i]){this.TeXfont(',5,1122,'[i]);}}},Sizes',296,5,'TeXparams','=[];for(var j=0;j<',5,'sizes.length;j++){',5,1171,'[j]={};}',920,5,'TeX){',536,5,'TeX[i])!="object"){for(var j=0;j<',5,'sizes.length;j++){',5,1171,'[j][i]=',5,'sizes[j]*',5,'TeX[i]/100;}}}},Styles',254,'_4b){',0,'_4b){_4b=',5,'styles;_4b[".typeset .scale"]="font-size:"+',5,445,'.scale+"%";this.stylesReady=1;}',5,485,'this,"','AddStyleSheet','",_4b);if(',5,287,'styleChangeDelay','){',5,485,5,'Script,"','Delay",1);}},',1205,254,'_4c){var _4d=',5,29,985,'head")[0];var _4e="";',419,'_4c){_4e+=id+" {"+_4c[id]+"}\\n";}if(',5,29,'createStyleSheet){_4d.insertAdjacentHTML("beforeEnd","<','span style=\\"',252,'\\">x</span','><style type=\\"text/css\\">"+_4e+"</style>");}',43,'var _50=',5,29,35,'("style");_50.type="text/css";_50',631,5,29,777,'(_4e));_4d',631,'_50);}},Body',296,'if(this.inited',754,'this.inited=-','1;',5,319,'Hidden();',1248,'2;',5,287,801,1248,'3;if(',5,445,'.blank){',5,491,'.Blank();}',1248,'4;',5,319,'Styles();',1248,'5;',5,'Controls.',801,1248,'6;',5,485,5,'Setup,"User","pre-font");',1248,'7;',5,485,5,'Font,"Check");this.inited=1;},User',254,'_51){}};',5,'Update={',369,254,'_52){for(var ','_53 in ',1294,'_54 in _52[_53]){',419,'_52[_53][_54',']){',5,'TeX[_53][_54][id]=',1299,'][id];}}}},TeXfontCodes',254,'_56){for(var _57 in _56){',398,'_56[_57].length;i++){',5,'TeX[_57][i].c=_56[_57][i];}}}};',5,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",msieSpaceFix:"",imgScale:1,renameOK:1,',1209,':0,delay:1,version:0,','TestSpanHeight',296,5,264,'="<span','><','span style=\\""+this.block+";','height:2em;width:','1px',334,'></span>";var ','_59=',5,'hidden.firstChild;','var img=_59.firstChild;','this.spanHeightVaries','=(_59',270,'>=img',270,'&&_59',270,'>0);','this.spanHeightTooBig','=(_59',270,'>img',270,');',5,264,'="";},','TestInlineBlock',296,'this.block','="',159,'";','this.hasInlineBlock','=',5,'BBoxFor("<span style=\\""+this.block+";','width:10px;height:5px\\"></span>").w>0;if(!this.hasInlineBlock){',1353,'="display:-moz-inline-box";',1357,'=',5,1360,1361,945,5,'styles[".typeset .','blank"]=',5,1371,'blank','"].replace(/',159,'/,',1353,');}',1353,'+=";',161,'";var h=',5,260,'("x").h;this.mozInlineBlockBug=',5,1360,'height:"+h+"px;width:1px',334,'>x"+"<',1325,1390,';vertical-align:-"+h+"px',334,'>").h>2*h;this.widthAddsBorder=',5,1360,161,';height:1px;width:10px',';border-left:','10px solid',334,'>").w>10;','this.msieBorderBug','=',5,1360,1390,334,'>x").h!=',5,1360,1390,1402,155,334,'>x").h;this.blankWidthBug=',1406,'||',5,1360,1326,'0px',334,'>").h==0;},','TestRenameOK',296,5,264,1323,1329,'_5c=',5,1332,'_5c.setAttribute("name","','jsMath_test','");this.renameOK=(',5,29,'getElementsByName("',1438,'").length>0);',5,264,1350,'TestStyleChange',296,5,264,1323,' ID=\\"',1438,1230,'>";var _5d=',5,1332,'var w=_5d',267,';',5,319,1205,'({"#',1438,'":"font-size:200%"});this.',1209,'=(_5d',267,'==w);',5,264,1350,'VersionAtLeast',254,'v){var bv',1017,'this.version',').split(".");','v',1017,'v',1480,'if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',296,5,41,'="unknown";this.',1351,380,1319,380,1428,380,1448,380,'MSIE',380,'Mozilla',380,'Opera',380,'OmniWeb',380,'Safari',380,'Konqueror','();if(','this.allowAbsoluteDelim','){',5,'Box.DelimExtend=',5,'Box.DelimExtendAbsolute;',5,'Box.Layout=',5,'Box.LayoutAbsolute;}',43,5,'Box.DelimExtend=',5,'Box.DelimExtendRelative;',5,'Box.Layout=',5,'Box.LayoutRelative;}if(','this.separateSkips','){',5,'HTML.Place=',5,'HTML.','PlaceSeparateSkips',';',5,'Typeset.prototype.','Place=',5,1538,1535,';}},MSIE',296,'if(',1334,'&&!',1342,'){',5,41,'="MSIE";',1055,1058,'Win32"){',1510,'=1;',1529,'=1',';this.buttonCheck=1;this.',890,'=1;this.msieDivWidthBug=1;this.',884,635,'msieIntegralBug',635,'waitForImages',635,'msieAlphaBug',635,'alphaPrintBug',635,1313,'="position:relative; ";this.',1315,'=" ',159,';";this.msieSpaceFix="<',1228,159,334,'>";',5,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',5,1371,'arial"]="font-family: \'Arial unicode MS\'";',5,'styles["#jsMath_message','"]=',5,1589,1376,'position:fixed','/,"',202,'").','replace(/width:auto','/,"");',5,'styles["#jsMath_panel','"]=',5,1601,1376,1594,'/,"',202,'").',1598,1599,5,'styles["#jsMath_button','"]="width:','1px; "+',5,1613,1376,1594,'/,"',202,'").',1598,1599,5,1,'onscroll=',5,1274,'MoveButton;',5,1371,164,'"]=',5,1371,164,1376,159,1599,'if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',1642,'!=',1644,263,'imgScale*=',1644,'/',1642,';',5,445,'.alpha=0',522,288,'="<i>x</i>";',5,'EmBoxFor=',5,279,';}',43,1055,1058,'MacPPC"){this.msieAbsoluteBug',635,'msieButtonBug',1562,890,'=1;',5,'Setup.Script("jsMath-','msie-mac.js");',5,'Parser.prototype.macros.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',5,1601,1614,'25em; "+',5,1601,'"].',1598,1599,5,1613,1614,1615,5,1613,'"].',1598,'/,"");}}',5,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},Mozilla',296,'if(',5,266,'.ATTRIBUTE_NODE){',5,41,'="Mozilla";',1055,1058,'Win32"){this.alphaPrintBug=1;}',1510,'=1;',5,1699,'/}}");',1055,'vendor=="Firefox"){',1479,'=',1057,'vendorSub;}',43,1055,'userAgent.match','(" Firefox/([0-9.]+)( |$)")){',1479,'=RegExp.$1;}}}},',1504,296,1055,'accentColorName){',5,41,'="',1504,'";','this.allowAbsolute','=',1357,';',1510,'=',1738,';this.valignBug=!',1738,1560,807,'=1;',0,1357,'){',5,1676,'old-browsers.js','");}}},Opera',296,'if(',1342,'){',5,41,'="Opera";var _61=',1057,1725,'("Opera 7");',1738,'=0;this.delay=10;this.operaHiddenFix="[Processing]";if(_61){',5,1676,1755,'");}}},Safari',296,1055,'appVersion.match(/Safari\\//)){',5,41,'="Safari";var _62=',1057,1725,'("Safari/([0-9]+)");_62=(_62)?_62[1]:400;',398,5,1122,400,5,1122,'[i]){',5,'TeX[',5,1122,'[i]].dh=0.1;}}',5,'TeX.axis_height+=0.05;',1510,'=_62>=125;this.safariIFRAMEbug=_62>=312&&_62<412;this.safariImgBug',635,807,'=1',1560,1209,'=1;}},',1508,296,1055,'product&&',1057,'product.match("',1508,'")){',5,41,'="',1508,'";',1738,'=0;',1510,'=0;',1055,1725,'(/',1508,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1529,635,'valignBug=1;',5,1676,1755,'");}}}}};',5,'Font={fallback:"symbol",message:"<b>No ',2,' TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts',334,'></b><br/>"+"Using',1837,'.  This',1839,'Test1',254,'_64,n,_66,_67','){if(n==null){n=124;}if(','_66==null){_66=2;}if(_67==null){_67="";}var wh1=',5,'BBoxFor("<span style=\\"font-family',': "+_67+_64+", serif\\">"+',5,'TeX[_64][n',1140,'var wh2=',5,1852,': serif\\">"+',5,'TeX[_64][n',1140,'return (wh1.w>_66*wh2','.w&&wh1.h!=0);},','Test2',254,'_6a,n,_6c,_6d',1849,'_6c==null){_6c=2;}if(_6d==null){_6d="";}var wh1=',5,1852,': "+_6d+_6a+", serif\\">"+',5,'TeX[_6a][n',1140,'var wh2=',5,1852,': serif\\">"+',5,'TeX[_6a][n',1140,'return (wh2.w>_6c*wh1',1865,'CheckTeX',296,'var wh=',5,1852,': ',2,'-',131,107,'\\">"+',5,382,'1',1140,5,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"',2,'-"));if(',5,'nofonts&&(',1057,'platform!="MacPPC"||',5,41,'!="Mozilla"||!',5,287,1475,'(1.5))){wh=',5,1852,': ',131,107,'\\">"+',5,382,'1',1140,5,1902,'"));',0,5,'nofonts){',5,1676,'BaKoMa-fonts.js");}}},Check',296,'var _71=',5,445,';this.CheckTeX();if(',5,1932,'if(_71.autofont','||_71.font=="tex"){_71.font=this.fallback;if(_71.warn){',5,'nofontMessage=1;_71.warn=0;',5,1274,'SetCookie(0);if(',5,1,'NoFontMessage','){',5,1,1952,'();}',43,'this.',491,'(',759,');}}}}',43,1943,'){_71.font="','tex";}','if(_71.font=="','tex"){return;}}',5,482,523,'if(',5,'noImgFonts',1966,'unicode";}',1968,'unicode"){var _72=({Win32:"pc",MacPPC:"mac"})[',1057,'platform]||"unix";',5,1676,'fallback-"+_72+".js");',5,'Box.TeXnonfallback=',5,'Box.TeX',';',5,1988,'=',5,'Box.TeXfallback;',5,482,'End();return;}','if(',5,287,1567,'){',5,485,5,1214,708,'",',5,'blank);}',1968,'symbol"){',5,1676,'fallback-symbols.js");',5,'Box.TeXnonfallback=',5,1988,';',5,1988,'=',5,'Box.TeXfallback;',5,482,1997,5,'Img.SetFont({',104,':["all"],',123,2032,127,2032,131,2032,109,2032,116,':["all"]});',5,'Img.LoadFont("cm-fonts");',5,482,'End();},',491,254,'_73',7,5,'Element("Warning','")){',945,'var div=',5,319,'DIV("Warning",{});div',810,'="<center><table><tr><td>"+"<div id=\\"',230,'\\">"+_73+"<','div style=\\"','text-align:left\\"><',1228,'float:left; ','margin: 8px ','0px 0px 20px\\">"+"<span onclick=\\"',5,1274,'Panel()\\" title=\\" Open the ',2,' Control Panel',' \\" class=\\"link\\">',2,2074,'</span>"+"</span','><',1228,2068,'20px 0px 0px; float:right\\">"+"<span onclick=\\"',5,'Font.HideMessage()\\" title=\\" Remove this font warning message',2075,'Hide this ',491,2078,'></div><',2064,'height:6px\\"></div><br clear=\\"all\\"/></div>"+"<',2064,'width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},HideMessage',296,'var _75=',5,2053,'");if(_75){_75.style.display="none";}},Register',254,'_76){',5,482,523,536,'_76)=="string"){_76={name:_76};}var _77=_76.name;var _78=_77.replace(/10$/,"");var _79=',5,1122,'.length;if(_76.prefix==null)'],
  ['{','_76.prefix','="";}','if(!','_76.style','){',4,'="font-family: "+',1,'+_77+", serif";}',3,'_76.styles','){',11,'={};}',3,'_76.macros','){',16,14,'jsMath.','TeX.fam[_79]=_77;',20,'TeX.famName[_77]=_79;',16,'[_78]=["HandleFont",_79];',20,'Add(',20,'Parser.prototype.macros,',16,');',11,'[".typeset ."+_77]=',4,';',20,'Setup.Styles(',11,');','jsMath.Script.Push(jsMath.','Setup,"TeXfont",_77);var _7a=!',20,'nofonts&&_76.test(_77,_76.testChar,_76.testFactor,',1,');if(_7a&&','jsMath.Controls','.cookie.font=="','tex"){if(_76.tex){_76.tex','(_77,_79,_76);}jsMath.Script.End();return;}',3,'_7a&&',46,'.cookie.warn&&',46,47,'tex"&&!',20,'nofonts){',3,20,'Element("','Warning")){this.Message(this.extra_message);}var _7b=',20,61,'ExtraFonts");if(_7b','){if(','_7b.innerHTML','!=""){',67,'+=",";}',67,'+=" "+',1,'+_77;}}if(',46,47,'unicode"){if(','_76.fallback','){',78,49,'var _7c={};_7c[_77]=["all"];',20,'Img.SetFont(_7c);',20,'Img.LoadFont(_77);',40,'Img,"Scale");',40,'Img,"UpdateFonts");',20,'Script.End();},Load',':function(','_7d){',20,'Setup.Script(this.URL(_7d));},URL',93,'_7e){return ',20,'Img.root+_7e+"/def.js";}};',46,'={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D"},cookiePath:"/",Init',':function(){','this.panel=',20,'Setup.DIV("','panel",{display:"none"});',3,20,'Browser.msieButtonBug){this.Button();}else{setTimeout("',46,'.Button()",500);}},Panel',103,20,'Translate.Cancel();if(this.loaded){this.Main();}else{',20,'Script.delayedLoad(',20,'root+"jsMath-controls.html");}},Button',103,'var _7f=',20,106,'button",{});_7f.title=" Open jsMath Control Panel ";_7f.innerHTML="jsMath";if(_7f.offsetWidth<2*',20,'em){_7f.style.width="auto";}_7f.onclick=new Function("',46,'.Panel()");',3,'this.cookie','.button){_7f.style.display="none";}},MoveButton',103,3,'this.button','){',134,'=',20,61,'button");}','this.button.style.visibility="','hidden";',141,'visible";},GetCookie',103,'if(','this.defaults','==null){',147,14,20,27,147,',',130,');this.userSet={};var _80=',20,'document.cookie',';if(','jsMath.window.location.','protocol=="file:"){','_80=unescape(',160,'search.substr(1));}if(_80','.match(/jsMath','=([^;]*)/)){var _81=RegExp.$1.split(/,/);for(var i=0;i<_81.length;i++){var x=_81[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',130,'[x[1]]=x[2];this.userSet[x[1]]=1;}}},SetCookie',93,'_84){var _85=[];','for(var id in ',130,66,147,'[id]==null||',130,'[id]!=',147,'[id]){_85[_85.length]=id+":"+',130,'[id];}}_85=_85.join(",");if(',160,161,3,'_84){return;}this.loaded=0;var _87=',160,'href;_87=_87.replace(/\\?.*/,"");','if(_85!=""){','_87+="?jsMath="+escape(_85);}if(_87!=',160,'href){',160,'replace(_87);}}else{if(','this.cookiePath','){_85+="; ','path="+',194,';}if(','this.cookieDomain',195,'domain="+',199,198,130,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',206,'*7,M',206,'*30,Y',206,'*365};var exp=new Date;exp.setTime(exp.getTime()+',130,'.keep.substr(','0,1)*ms[',130,215,'1,1)]);_85+="; expires="+exp.toGMTString();}',188,20,158,'="jsMath="+_85;var _8a=',20,158,';if(_84&&!_8a',165,'=/)){alert("Cookies must be enabled in order to save jsMath options");}}}}};',20,'Click={CheckClick',93,'_8b){',3,'_8b){_8b=',20,'window.event;}if','(_8b.altKey){',46,'.Panel();}},CheckDblClick',93,'_8c){',3,'_8c){_8c=',20,236,'(!',20,'Click.DblClick){',20,'Extension.Require("double-click",1);var _8d=_8c;_8c={};',171,'_8d){_8c[id]=_8d[id];}}',40,'Click,"DblClick",[_8c,this.alt]);}};',20,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.04,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10",""],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',257,'778',257,'694',257,'667',257,'75',257,'722',257,'778',257,'722',257,'778',257,'722',257,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',283,'833',283,'833',283,'278',',0.431],[0.','306,0.431',',0.194],[0.','5',283,'5',283,'5,0.628],[0.5',283,'5,0.568],[0.75',283,'444,0,0.17],[0.5',283,'722',291,'778',291,'5,0.528,0.0972],[0.903,0.683],[1.01',257,'778,0.732,0.0486],[','0.278',',0.431,0,{','krn:{"108":-0.','278,"76":-0.319}}],[',311,',0.694,0,{lig:{"96":','60}}],[0.','5',283,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',323,'778',283,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',333,'5,0.75],[','0.778,0.583,0.0833],[','0.','278,0.106',293,'333',312,'lig:{"45":123}}],[0.',339,'],[0.5',333,'5,0.644','],[0.5,0.644],[0.5,0.','644',348,'644',348,'644',348,'644],[0.5,0.644],[',311,291,'278,0.431',293,'278,0.5',293,'778',',0.367,-0.133],[','0.472,0.5',293,'472',316,'62}}],[0.778',283,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',373,'79',373,'71',373,'85',373,'81',373,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',257,'722',257,'764',371,'88',373,'87',373,'65',373,'86',373,'89":-','0.0278}}],[0.','681',257,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',257,'75',257,'361',371,'73":',400,'514',257,'778',371,'79',373,'67',373,'71',373,'81":-',400,'625',371,384,'917',257,'75',257,'778',371,'88',373,'87',373,'65',373,'86',373,'89":-',400,'681',371,'65','":-0.0833,"','111',373,'101',373,'97',373,'46',448,'44":-0.','0833}}],[0.','778,0.683',293,'736',371,'116',373,'67',373,'79',373,'71',373,'85',373,'81',373,384,'556',257,'722',371,'121',373,'101',448,'111',448,'114',448,'97',448,'65',448,'117":-0.',458,'75',257,'75',',0.683,0,{ic:0.','0139,',405,'1.03',497,'0139,',405,'0.75',371,'79',373,'67',373,'71',373,'81":-',400,'75',497,'025,','krn:{"101',448,'111',448,'114',448,'97',448,'65',448,492,458,'611',257,'278',333,'5',283,'278',333,'5',283,'278,0.668],[0.','278',316,'92}}],[0.','5',312,'krn:{"118',373,'106":0.0556,"121',373,'119":-',400,'556,0.','694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',312,'krn:{"104',373,'107":-',400,'556',283,'444',291,'306',279,280,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',400,'556',329,'116',373,'117',373,'98',373,'121',373,'118',373,'119":-',400,539,'306,0.668',293,'528',329,'97','":-0.0556,"','101',373,'97',373,'111',373,'99":-',400,'278',283,'833',312,'krn:{"116',373,'117',373,'98',373,'121',373,'118',373,'119":-',400,'556',312,'krn:{"116',373,'117',373,'98',373,'121',373,'118',373,'119":-',400,'5,0.431',',0',553,551,'431,0.194',553,'528,0.431',293,'392',291,'394',291,'389,0.615,0,{krn:{"121',373,'119":-',400,'556',312,'krn:{"119":-',400,'528',',0.431,0,{ic:0.',570,'97',593,'101',373,'97',373,'111',373,'99":-',400,'722',653,570,'101',373,'97',373,'111',373,'99":-',400,'528',291,'528',568,'ic:0.',570,'111',373,'101',373,'97',373,'46',448,'44":-0.',458,'444',291,'5',653,'0278,','lig:{"45":124}}],[1',653,'0278}],[0.','5',283,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',497,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',458,'833',371,'127":0.167}}],[0.','763',497,696,'krn:{"127":0.0833}}],[0.','694',371,709,'742',497,'0757,',713,'831',497,'0812,krn:{"61',593,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',497,'0576,',713,'583',497,'139',705,726,'667',404,713,'612',497,'11,krn:{"61',593,725,726,'772',497,'0502,',713,'64',653,'0037,','krn:{"127":',400,'566',',0.694,0.194,{ic:0.','0528,',713,'518',568,'ic:0.0556}],[0.444',279,'0378,krn:{"',725,726,'406',312,'krn:{"127":0.0556}}],[0.','438',755,'0738,',713,'497',568,'ic:0.0359',',',767,'469',279,696,713,'354',312,767,'576',291,'583',283,'603',568,752,400,'494',653,'0637,krn:{"',725,'0278}}],[0.','438',755,'046,',752,'0.','111}}],[0.','57',653,'0359}],[0.','517',568,713,'571',653,'0359,krn:{"59',593,'58":-0.',726,'437',653,'113,krn:{"',725,796,'54',653,'0359,',752,400,'596,0.694,0.194,{',713,'626',568,767,'651',755,'0359,',752,'0.',802,'622',653,805,'466',312,713,'591',',0.694,0,{',713,'828',653,699,'517',568,713,'363,0.431',',0.0972,{ic:0.','0799,',713,'654',568,752,'0.0833}}],[1',363,'1',363,'1',363,'1',363,311,',0.464,-0.0363],[',311,867,'0.5,0.465,-0.0347],[',870,'0.5',291,'5',291,'5',291,632,293,632,293,632,',0.194',348,636,348,'431',293,339,'],[0.',339,293,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',593,'65',593,'77',593,'78',593,'89":0.0556,"90":-0.',726,'778',894,870,'0.531',279,'0556,',713,'75',371,'127":','0.','139}}],[0.','759',497,'0502,',713,'715',497,'0715,krn:{"61',373,725,458,'828',497,696,767,'738',497,'0576,',713,'643',497,'139',705,458,'786',404,713,'831',497,'0812,krn:{"61',593,725,726,'44',497,'0785,',752,'0.',802,'555',497,'0962',705,'167}}],[0.','849',497,'0715,krn:{"61',593,725,726,'681',371,914,400,'97',497,'109,krn:{"','61',593,725,458,'803',497,972,'61',448,'61',373,725,458,'763',497,696,713,'642',497,'139',705,458,'791,0.683,0.194,{',713,'759',497,'00773,',713,'613',497,'0576,krn:{"61',593,725,458,'584',497,'139,krn:{"61',373,725,458,'683',497,972,'59":-0.111,"',813,'111,"61',593,914,400,'583',497,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',497,'139',1025,'828',497,'0785,krn:{"61',448,'61',373,725,458,'581',497,'222',1025,'683',497,'0715,krn:{"61',593,725,458,'389,0.75],[0.389',321,'0.389',321,'1,0.358,-0.142],[',1052,'0.417',843,752,'0.',802,'529',291,'429',283,'433',312,767,'52',329,'89":0.0556,"90',593,'106":-0.111,"102":-0.167,"',709,'466',312,767,'49',755,'108,krn:{"',725,959,'477',568,774,',',752,400,'576',329,'127":-',400,'345,0.66],[0.412,0.66',',0.194,{ic:0.','0572,krn:{"59',593,813,726,'521',279,'0315}],[0.298',279,'0197,',713,'878',291,'6',291,'485',312,767,'503',568,713,'446',568,774,',',713,'451',653,696,'krn:{"',725,726,'469',312,767,'361,0.615,0,{',713,'572',312,752,400,'485',653,'0359,',752,400,'716',653,'0269,',713,'572',312,752,400,'49',568,774,',',767,'465',653,'044,',767,'322',312,752,400,'384',568,713,'636',568,752,'0.',802,'5,0.714',',0,{ic:0.','154}],[',311,279,'399}]],cmsy10:[[',337,311,',0.444,-0.0556],[',337,870,337,'0.5,0.444,-0.0556],[',337,337,337,337,337,337,337,'1',321,1178,1178,'0.778',867,'0.778',867,'0.','778,0.636,0.136],[0.',1195,1195,1195,1195,1195,'778',363,'0.778,0.483,-0.0169],[0.778',894,'0.778',894,'1',894,'1',894,'0.778',894,'0.778',894,'1',363,'1',363,'0.5',321,'0.5',321,'1',363,'1',321,'1',321,'0.778',867,'1',363,'1',363,'0.611',321,'0.611',321,'1',363,'1',321,'1',321,'0.778',291,'275,0.556],[1',291,'667',894,'0.667',894,'0.889',321,'0.889',321,'0',321,'0',363,'0.556',283,'556',283,'667',291,'5',323,'722',283,'722',283,'778',283,'778',283,'611',283,'798',371,'48":0.','194}}],[0.657',497,'0304',',krn:{"48":0.',916,'527',497,'0583',1285,916,'771',497,'0278',1285,458,'528',497,'0894',1285,802,'719',497,'0993',1285,802,'595,0.683',852,'0593',1285,802,'845',497,'00965',1285,802,'545',497,'0738,krn:{"48":',400,'678,0.683',852,'185',1285,959,'762',497,'0144',1285,726,'69',371,1281,'139}}],[1.2',371,1281,916,'82',497,'147',1285,458,'796',497,1294,1285,802,'696',497,'0822',1285,458,'817,0.683,0.0972,{krn:{"',1281,802,'848',371,1281,458,'606',497,'075',1285,916,'545',497,'254,krn:{"48":',400,'626',497,'0993',1285,458,'613',497,'0822,krn:{"48":',400,'988',497,'0822',1285,458,'713',497,'146',1285,916,'668,0.683',852,'0822',1285,458,'725',497,'0794',1285,916,'667,0.556],[0.','667,0.556],[0.667,0.556],[0.',1399,'611',283,'611',283,'444',333,'444',333,'444',333,'444',333,'5',333,'5',333,'389',333,'389',333,'278',333,'5',333,'5',333,'611',333,'5',333,'278',321,'0.833,0.04,0.96],[0.75',257,'833',257,'417',755,'111}],[0.',1399,1195,1195,'444',321,'0.444',321,'0.444',321,'0.611',321,'0.778,0.694,0.13','],[',1451,'],[',1451,'],[',1451,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1459,'17}],[0.417',1459,'104}],[0.417',1459,'105}],[0.','472',1459,'106}],[0.472',1459,'107}],[0.472',1459,'108}],[0.472',1459,'109}],[0.583',1459,'110}],[0.583',1459,1439,'472',1459,'68}],[0.472',1459,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1485,'rep:13}}],[0.578',1459,'46}],[0.578',1459,'47}],[0.597',',0.04,1.76,{','n:18}],[0.597',1493,'n:19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1497,'33}],[0.528',1497,'34}],[0.528',1497,'35}],[0.583',1497,'36}],[0.583',1497,'37}],[0.583',1497,'38}],[0.583',1497,'39}],[0.75',1497,'40}],[0.75',1497,'41}],[0.75',1497,'42}],[0.75',1497,'43}],[1.04',1497,'44}],[1.04',1497,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1525,'49}],[0.583',1525,'50}],[0.583',1525,'51}],[0.639',1525,'52}],[0.639',1525,'53}],[0.639',1525,'54}],[0.639',1525,'55}],[0.806',1525,'56}],[0.806',1525,'57}],[0.806',',0.04,2.96],[','0.806',1545,'1.28',1545,'1.28',1545,'0.811',1493,'n:30}],[0.811',1493,'n:31}],[0.875',1493,'delim:{top:','48,bot:64,rep:66}}],[0.875',1493,1558,'49,bot:65,','rep:67}}],[0.','667',1493,1558,'50,bot:52,rep:54}}],[0.667',1493,1558,'51,bot:53,rep:55}}],[0.667',1493,'delim:{bot:','52,rep:54}}],[0.667',1493,1572,'53,rep:55}}],[0.667',1485,'top:50,rep:54}}],[0.667',1485,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1581,'57,mid:61,bot:59,rep:62',1581,'56,bot:58,rep:62',1581,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1589,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1485,'top:120,','bot:121,rep:63}}],[0.','875',1493,1558,'56,bot:59,',1593,'875',1493,1558,'57,bot:58,',1593,'875',1485,'rep:66}}],[0.875',1485,1563,'611',1493,'n:28}],[0.611',1493,'n:29','}],[0.833,0,1,{n:','71}],[1.11,','0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[0.556,0,2.22,{ic:0.444}],[1.11,0,1,{n:75}],[1.51,','0.1,1.5],[1.11,','0,1,{n:77}],[1.51,',1623,'0,1,{n:79}],[1.51,',1620,'1.06,0,1,{n:88}],[','0.944,0,1,{n:','89}],[',1621,'90',1618,'91',1618,'92',1618,'93',1618,'94',1618,'95}],[1.44,',1620,'1.28,0.1,1.5],[0.556,0',',2.22,{ic:0.444}],[1.11,',1623,1623,1623,1623,1620,1629,'97}],[',1644,'.722,0,{n:99','}],[1,0.75,0,{n:','100','}],[1.44,0.75],[0.',551,'722,0,{n:102',1655,'103',1657,'472',1493,'n:20}],[0.472',1493,'n:21}],[0.528',1493,'n:22}],[0.528',1493,'n:23}],[0.528',1493,'n:24}],[0.528',1493,'n:25}],[0.667',1493,'n:26}],[0.667',1493,'n:27}],[1',1459,'113}],[1',1493,'n:114}],[1',1497,'115}],[1',1525,'116}],[1.06,0,1.8,{',1558,'118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1485,'top:126,','bot:127,rep:119','}}],[0.667',1485,1596,'rep:63}}],[0.667',1485,1597,'45,0.12],[0.',1699,1699,1699,'778',1485,1691,'rep:119}}],[0.778',1485,1692,'}}]],cmti10:[[0.627',497,'133}],[0.818',257,'767',497,'094}],[0.692',257,'664',497,'153}],[0.743',497,'164}],[0.','716',497,'12}],[0.','767',497,1439,'716',497,'0599}],[0.767',497,1439,'716',497,'103}],[0.','613',755,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',281,'562',755,1735,'588',755,1735,'882',755,1735,'894',755,1735,'307',653,'0767}],[0.','332',568,'ic:0.0374}],[0.511',283,'511',279,'0969','}],[0.511,0.','628',1167,'083}],[0.511',279,'108',1762,'562',1167,1735,'831',283,'46,0,0.17],[0.537',755,1466,'716',653,'0751}],[0.716',653,'0751',1762,'528',852,'0919}],[0.883',497,1724,'985',497,1724,'767,0.732,0.0486,{ic:0.094}],[0.256',312,313,'256,"76":-0.321}}],[0.307',279,'124,lig:{"96":',317,'514',279,'0696}],[0.818',755,'0662}],[0.769',283,'818,0.75,0.0556',',{ic:0.136}],[0.','767',279,'0969}],[0.307',279,'124,krn:{"63":0.102,"33":0.102',331,'409',',0.75,0.25,{ic:0.','162}],[0.409',1813,'0369',1762,'75',1167,'149}],[0.767,0.562,0.0567,{ic:0.0369}],[0.307,0.106',293,'358',653,'0283,',343,'307,0.106],[0.511',1813,'162',1762,'644,0',',{ic:0.136}],[0.511,0.644,0',1831,1831,1831,'.194',1831,1831,1831,'.194',1831,1831,1805,'307',653,'0582}],[0.307',568,'ic:0.0582}],[0.307,0.5',1091,'0756}],[0.767,0.367,-0.133,{ic:0.0662',1762,'5',293,'511',279,'122,lig:{"96":62}}],[0.767',279,'096}],[0.743',404,'krn:{"110":-0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.0256,"85":-0.0256,"107":-0.0256,"118":-0.0256,"119":-0.0256,"81":-','0.0256,"84','":-0.0767,"','89',1861,'86','":-0.102,"','87',1865,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',497,1735,'716',497,'145}],[0.755',497,'094,krn:{"88','":-0.0256,"','87',1877,'65',1877,'86',1877,'89','":-0.0256}}],[0.','678',497,1724,'653',497,'133,krn:{"','111','":-0.0767,"101":-0.0767,"','117','":-0.0767,"114":-0.0767,"97":-0.0767,"','65',1865,'79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',497,'0872}],[0.743',497,1721,'386',497,'158}],[0.525',497,'14}],[0.769',497,'145,krn:{"',1898,'627',371,'84',1861,'89',1861,'86',1865,'87',1865,1868,'897',497,1721,'743',497,1721,'767',497,'094,krn:{"88',1877,'87',1877,'65',1877,'86',1877,'89',1885,'678',497,'103',',krn:{"65":-0.0767}}],[0.','767,0.683',1091,'094}],[0.729',497,'0387,',1859,'0.0256,"84',1861,'89',1861,'86',1865,'87',1865,1868,'562',497,1724,'716',497,1891,'121',1893,'111',1895,'117":-0.0767,"65":-0.0767}}],[0.','743',497,1721,'743',497,'184,krn:{"111',1893,'117',1895,'65',1865,1898,'999',497,'184',1944,'743',497,'158,krn:{"',1898,'743',497,'194,',517,1861,'111',1895,1970,'613',497,'145}],[0.307',1813,'188}],[0.514',279,'169}],[0.307',1813,1466,'511',279,'0665}],[0.307,0.668',1167,'118}],[0.307',279,1796,542,'511',653,1754,'46',279,'0631,krn:{"',1868,'46',653,'0565,krn:{"',1868,'511',279,'103,krn:{"108":0.0511}}],[0.46',653,'0751,krn:{"',1868,'307',755,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:'],
  ['{"105":','12,"102":11,"108":13}}],[0.','46',',0.431,0.194,{ic:0.0885}],[0.','511',',0.694',',0,{ic:0.','0767}],[0.','307,0.655',6,'102}],[0.307,0.655',',0.194,{ic:0.','145}],[0.46',5,6,'108}],[0.','256',5,6,'103',',krn:{"108":0.0511}}],[0.','818',',0.431,0,{ic:0.',7,'562',22,'0767,krn:{"39":-0.102}}],[0.511',22,'0631',',krn:{"101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','511,0.431',11,'0631',29,'46',3,'422',22,'108',29,'409',22,'0821}],[0.332,0.615',6,'0949}],[0.537',22,7,'46',22,15,'664',22,'108',20,'464',22,'12}],[0.486',3,'409',22,'123}],[0.511',22,'0921',',lig:{"45":124}}],[1.','02',22,'0921}],[0.511',5,6,'122}],[0.511,0.668',6,'116}],[0.511,0.668',6,'105}]],cmbx10:[[0.692',',0.686],[0.','958',74,'894',74,'806',74,'767',74,'9',74,'831',74,'894',74,'831',74,'894',74,'831',74,'671',',0.694,0,{ic:0.109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15}}],[0.639',',0.694],[0.','639',98,'958',98,'958',98,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',109,'694',109,'632',109,'694',109,'596],[0.869',98,'511,0,0.17],[0.597',98,'831',106,'894',',0.444',109,'542,0.0972],[1.04',',0.686','],[1.17',74,'894,0.735,0.0486],[0.319',125,',0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":','60}}],[0.603',98,'958',5,',0.194',109,'75,0.0556],[0.','958,0.',142,'894',98,'319',5,133,'63":0.128,"33":0.128},lig:{"39":34}}],[0.447',',0.75,0.25],[0.','447,0.75,0.25',109,'75],[0.894,0.633,0.133],[','0.319,0.156',',0.194],[0.','383',125,',0,{lig:{"45":123}}],[',155,109,'75,0.25',109,'644',109,'644',109,'644',109,'644',109,'644',109,'644',109,'644',109,'644',109,'644',109,'644],[0.319',106,'319',108,'],[0.35,0.5',156,'894,0.391,-0.109],[0.543,0.5',156,'543',135,'62}}],[0.894',98,'869',',0.686,0,{krn:{"116":-0.0319,"67":-0.0319,"79":-0.0319,"71":-0.0319,"85":-0.0319,"81":-0.0319,"84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[0.','818',74,'831',74,'882',',0.686,0,{krn:{"88":-0.0319,"87":-0.0319,"65":-0.0319,"86":-0.0319,"89":-0.0319}}],[0.','756',74,'724',128,',0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',74,'9',74,'436',128,133,'73":','0.0319}}],[0.','594',74,'901',',0.686,0,{krn:{"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[0.','692',128,133,'84','":-0.0958,"','89',225,'86":-0.128,"87":-0.128}}],[1.09',74,'9',74,'864',201,'786',128,133,'65',225,'111":-0.0319,"101":-0.0319,"97":-0.0319,"46":-0.0958,"44":-0.0958}}],[0.','864',128,156,'862',195,'639',74,'8',128,133,'121','":-0.0319,"','101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',74,'869',128,6,'016,',207,'1.19',128,6,'016,',207,'0.869',220,'869',128,6,'0287,krn:{"',252,'703',74,'319',151,'603',98,'319,0.75,0.25',109,'694],[0.319',98,'319',135,'92}}],[0.559',125,133,'118',251,'106":','0.0639,"','121":-0.0319,"119":-0.0319}}],[0.639,0.','694,0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',125,133,'104',251,'107":-',216,'639',98,'527',106,'351',96,1,'575',108,',{ic:0.016,krn:{"','106":',216,'639',5,',0,{krn:{"116":-0.0319,"117":-0.0319,"98":-0.0319,"121":-0.0319,"118":-0.0319,"119":-0.0319}}],[0.','319',98,'351',5,156,'607',5,133,'97":-',290,'101":-0.0319,"97":-0.0319,"111":-0.0319,"99":-0.0319}}],[0.','319',98,'958',125,315,'639',125,315,'575',125,',0',293,'639',108,293,'607',108,'],[0.474',106,'454',106,'447,0.635',133,291,'444',133,'119":-',216,'607',125,6,'016,krn:{"','97":-',290,326,'831',125,6,358,326,'607',106,'607',108,310,239,'511',125,109,'444',6,'0319',63,'15',125,6,'0319}],[0.575',5,109,'694',109,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_8f){for(var _90 in _8f){if(!','this.update[_90',']){',393,']=[];}',393,']=',393,'].concat(_8f[_90]);}},AddFont',391,'_91,def){if(!',389,'[_91]){',389,'[_91]={};}','jsMath.Add(',389,'[_91],def);},UpdateFonts',':function(){','var _93=this.update;','if(!this.loaded){','return;}var ','_94=this[','jsMath.Img.fonts','[','this.best]];','for(var _95 in _93){','for(var i=0;i<','_93[_95].length;i++){var c=_93[_95][i];if(c=="all"){for(c in ','jsMath.TeX[','_95]){',421,'_95][c].img','={};}}else{',421,424,'={};}}}this.update={};},BestSize',410,'var w=jsMath.em*this.factor;var m=this','.w[this.fonts[','0]];for(var i=1;i<this.fonts','.length;i++){','if(w<(this',431,'i]]+2*m)/3){return i-1;}m=this',431,'i]];}return i-1;},Scale',410,412,'return;}this.best=this.BestSize();this.em=',389,431,417,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',445,'-1)<0.12){',445,'=1;}},URL',391,'_9b,_9c,C){var _9e=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_9c!=""){_9c+="/";}','return this.','root+_9b+_9e+_9c+C;},LoadFont',391,'_9f){',412,'this.Init();}jsMath.Setup.Script(this.URL(_9f,""));},Init',410,'if(',454,'print){',454,'print=0;this.factor*=3;if(jsMath.window.location.protocol!="file:"){jsMath.Controls.SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',454,'alpha=0;}}var _a0="0123456789ABCDEF";this.HexCode=[];',419,'128;i++){var h=Math.floor(i/16);var l=i-16*h;this.HexCode[i]=_a0.charAt(h)+_a0.charAt(l);}this.loaded=1;}};jsMath.HTML={Em',391,'m){var n=5;if(m<0){n++;}',447,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");return s+"em";},Spacer',391,'w){if(w==0){return "";}return ',468,'msieSpaceFix+"<','span class=\\"spacer\\" style=\\"margin-','left:"+this.Em(','w)+"\\"></span>";},Blank',391,'w,h,d,_ab){var _ac="";var _ad="";if(_ab){_ad+="border-',483,'w)+" solid;";if(',468,'widthAddsBorder){w=0;}}if(w==0){if(',468,'blankWidthBug){_ad+="width:1px;";_ac="<',482,'right:-1px\\"></span>";}}else{_ad+="width:"+this.Em(w)+";";}if(d==null){d=0;}if(h){var H=this.Em(h+d);if(_ab&&h>0&&h*jsMath.em<1.5){H="1px";h=1/jsMath.em;}_ad+="height:"+H+";";}if(',468,'mozInlineBlockBug){d=-h;}if(',468,'msieBorderBug&&!_ab){d-=jsMath.d;}if(d){_ad+="','vertical-align:"+','this.Em(-d);}return _ac+"<span class=\\"blank\\" ','style=\\""+','_ad+"\\"></span>";},Rule',391,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}',456,'Blank(w,h,0,1);},Class',391,'_b1,_b2){return "<span class=\\""+_b1+"\\">"+_b2+"</span>";},Place',391,'_b3',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _b6','="<span style=\\"position',': relative',';";if(x){_b6+=" margin-',483,'x)+";";}if(y){_b6+=" ','top:"+this.Em','(-y)+";";}_b3=_b6+"\\">"+_b3','+"</span>";}','return _b3;},PlaceSeparateSkips',391,'_b7',511,'if(y){_b7',513,514,'; ',518,'(-y)+";"+"\\">"+_b7',520,'if(x){_b7=this.Spacer(x)+_b7;}return _b7;},PlaceAbsolute',391,'_ba',511,'_ba',513,':absolute','; ',483,'x)+"; "+"',518,'(y)+";\\">"+_ba+"&nbsp;</span>";return _ba;},Absolute',391,'_bd,w,h,d,y,H){if(y!="none"){',447,'y)<0.0001){y=0;}_bd',513,538,'; "+"top:"+','jsMath.HTML.','Em(y)+"; left:0em',';\\">"+_bd','+"&nbsp;"+"</span>";}if(d=="none"){d=0;}_bd+=this.Blank(w,h-d,d);if(',468,'msieAbsoluteBug){_bd',513,':relative',553,520,'_bd',513,558,';"+" width: "+',551,'Em(w)+";"+" height: "+',551,'Em(H)+";"+',468,'msieInlineBlockFix+"\\">"+_bd+"</span>";return _bd;}};','jsMath.Box','=function(','_c3,_c4,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_c4;this.format=_c3;};',407,571,',{defaultH:0,Null:','new jsMath.','Box("null","",0,0,0),Text',391,'_c8,_c9,_ca,_cb,a,d){var _ce=','jsMath.Typeset.AddClass(','_c9,_c8);_ce=','jsMath.Typeset.','AddStyle(','_ca,_cb,_ce);var BB','=jsMath.EmBoxFor(','_ce);var TeX=',585,'TeX(_ca,_cb);var bd=((_c9=="cmsy10"||_c9=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);var ','box=new jsMath.Box("','text",_c8,BB.w,BB.h-bd,bd);box.style=_ca;box.size=_cb;','box.tclass','=_c9;if(d','!=null){box.','d=d','*TeX.scale;}else{box.','d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+TeX.scale*a;}','return box;},','TeX',391,'C,_d4,_d5,_d6){var c=',421,'_d4][C];if(','c.d==null){c.d=0;}','if(c.h','==null){c.','h=0',';}if(c.img!=null','&&c.c!=""){this.TeXIMG(_d4,C,',585,'StyleSize(_d5,_d6));}var _d8=',585,'TeX(_d5,_d6).scale;var h=c.h+',421,'_d4].dh;var ',592,'text",c.c,c.w*_d8,h*_d8,c.d*_d8);box.style=_d5;box.size=_d6;if(c.tclass){',594,'=c.tclass;if(c.img){box.bh=c.img.bh;box.bd=c.img.bd;}else{box.bh=_d8*jsMath.h;box.bd=_d8*jsMath.d;}}else{',594,'=_d4;box.bh=_d8*',421,'_d4].h;box.bd=_d8*',421,'_d4].d;if(',468,'msieFontBug&&box.html.match(/&#/)){box.html+="<span style=\\"display',': none\\">x</span>";}}',600,'TeXfallback',391,'C,_dc,_dd,_de','){c=',421,'_dc][C];if(!c.tclass){c.tclass=_dc',610,'){',456,'TeXnonfallback(',634,');}if(c.h!=null&&c.a',608,'a=c.h-1.1*jsMath.TeX.x_height;}var box=this.Text(c.c,c.tclass,_dd,_de,c.a,c.d);var _e0=',585,'TeX(_dd,_de).scale;if(c.bh',596,'bh=c.bh*_e0;box.bd=c.bd*_e0;}else{var h=box.bd+box.bh;var _e2=',583,594,',box.html);_e2=',585,586,'_dd,_de,_e2);box.bd',588,'_e2+',551,'Blank(1,h)).h-h;box.bh=h-box.bd;if(_e0==1){c.bh=box.bh;c.bd=box.bd;}}if(jsMath.',629,':none\\">x</span>";}',600,'TeXIMG',391,'_e3,C,_e5){var c=',421,'_e3][C];if(c.img.size!=null&&c.img.size==_e5&&c.img.best!=null&&c.img.best==',389,'.best){',413,'_e7=(',389,'.scale!=1);var id=',389,'.best+_e5-4',';if(id<0){id=0;_e7=1;}else{if(id>=',415,'.length){','id=',415,'.length-1',';_e7=1;}}var _e9=',389,'[',415,'[id]];var img=_e9[_e3][C];var _eb=1/',389,'.w[',415,'[id]];if(id!=',389,675,'){if(c.w!=null){_eb=c.w/img[0];}else{_eb*=',415,'[_e5]/',415,'[4]*',415,'[',389,'.best]/',415,'[id];}}var w=img[0]*_eb;var h=img[1]*_eb;var d=-img[2]*_eb;var v;var _f0=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',551,'Em(c.w-w)+";";var _f1="";C=',389,'.HexCode[C];if(!_e7&&!',454,'scaleImg){if(2*w<h||(',468,'msieAlphaBug&&',454,'alpha)){_f1="height',':"+(img[1]*',468,'imgScale',')+"px;";}_f1+=" width:"+(img[0]*',468,716,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',468,'msieAlphaBug&&',454,713,':"+',551,'Em(h*',468,716,')+";";}_f1+=" width:"+',551,'Em(w*',468,716,')+";";v=',551,'Em(d);}var _f2=(Math.abs(d)<0.01&&!',468,'valignBug)?"":" ',499,'v+";";var URL=',389,'.URL(_e3,',415,'[id],C);if(',468,'msieAlphaBug&&',454,'alpha){','c.c="<img src=\\""+','jsMath.blank+"\\" "+"',501,468,'msieCenterBugFix+_f1+_f2+_f0','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{',750,'URL+"\\" ',501,468,754,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=_e5;c.img.best=',389,'.best;},Space',391,'w){','return new jsMath.','Box("html",',551,'Spacer(w),w,0,0);},Rule',391,504,'var _f7=',551,'Rule(w,h);',766,767,'_f7,w,h,0);},GetChar',391,'_f8,_f9){var c=',421,'_f9][_f8];','if(c.img!=null){this.TeXIMG(','_f9,_f8,4);}if(c.tclass',608,'tclass=_f9;}if(!c.computedW){c.w',588,583,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',606,'c.computedW=1;}return c;},DelimBestFit',391,'H,c,_fd,_fe){if(c==0&&_fd','==0){return null;}','var C;var h;_fd','=jsMath.TeX.fam[','_fd];var isSS=(_fe.charAt(1)=="S");var isS=(_fe.charAt(0)=="S");while(c!=null){C=',421,'_fd][c];if(C.h==null){C',790,'C.d==null){C.d=0;}h=C.h+C.d;if(C.delim','){return [c,_fd',',"",H];}if(isSS&&0.5*h>=H',803,',"SS",0.5*h];}if(isS&&0.7*h>=H',803,',"S",0.7*h];}if(h>=H||C.n==null',803,',"T",h];}c=C.n;}return null;},DelimExtendRelative',391,'H,c,font,a,','_107){var C=',421,'font][','c];var top=this.GetChar(C.delim.top?C.delim.top:C.delim.rep,font);var rep=this.GetChar(C.delim.rep,font);var bot=this.GetChar(C.delim.bot?C.delim.bot:C.delim.rep,font);','var ext=',583,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;','if(C.delim.mid){var mid=this.GetChar(C.delim.mid,font);var n=Math.ceil((H-(top.h+top.d)-(mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',821,')));H=2*n*(',821,')+(top.h+top.d)+(','mid.h+mid.d',')+(',825,');if(_107){y=0;}else{y=H/2+a;}var Y=y',';var html=',551,'Place(',583,'top.tclass,top.c),0,','y-top.h)+',551,837,583,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',551,837,583,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',419,'n;i++){','html+=',551,837,'ext,-w,y-i*h);}}','else{var n=Math.ceil((H-(top.h+top.d)-(bot.h+bot.d','))/(',821,'));if(top.h+top.d<0.9*(',821,')){n=Math.max(1,n);}H=n*(',821,830,825,');if(_107){y=0;}else{y=H/2+a;}var Y=y',835,551,837,583,839,'y-top.h);dx=(w-top',851,855,551,837,583,844,'w+bot.w)/2,Y-(H-bot.d));}if(_107){h=top.h;}else{h=H/2+a;}','var box=new jsMath.Box("html",html,rep.w,h,H-h);box.bh=jsMath.TeX[font].h;box.bd=jsMath.TeX[font].d;return box;},','DelimExtendAbsolute',391,812,'_120){var Font=',421,'font];var ','C=Font[',816,823,'-0.05)-(',825,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',896,830,831,'-0.05)+(',825,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',583,839,'0);var h=',896,';var y=top.d-0.05+rep.h;var ext=',583,'font,rep.c);',419,'n;i++){',855,904,'ext,0,y+i*h);}',855,904,583,849,'),0,y+n*h-rep.h+mid.h);y+=n*h+',831,'-0.05;',419,'n;i++){',855,904,'ext,0,y+i*h);}',855,904,583,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}',859,894,896,'));H=n*(',896,830,825,'-0.05);html=',904,583,839,'0);var h=',896,';var y=top.d-0.05+rep.h;var ext=',583,819,419,'n;i++){',855,904,'ext,0,y+i*h);}',855,904,583,932,'var w=top.w;if(_120){h=top.h;y=0;}else{h=H/2+a;y=h-top.h;}html=',551,'Absolute(html,w,','Font.h,"none",-y,top.h);',882,'Delimiter',391,'H,_135,_136,_137){var size=4;var TeX=',585,'TeX(_136,size);if(!_135){',456,'Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_135[','2],_135[1],_136);if(CFSH==null||CFSH[3]<H){',971,'4],_135[3],_136);}if(CFSH==null){',456,969,'if(CFSH[2]==""){',456,'DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_137);}box=',571,'.TeX(',980,'CFSH[2],size',').Styled();if(_137){box.y=-',421,'CFSH[1]].dh',598,'y=-((box.h+box.d)/2-box.d-',981,');}',447,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',986,');}',600,'GetCharCode',391,'code){var font',797,'code[0]];var Font=',421,888,'c=Font[code[1]];',782,'font,code[1],4);}if(c.w',608,'w',588,583,788,';}if(c.font',608,'font','=font;}return ','c;},AddClass',391,'_13f,html',',font){if(_13f==null){_13f',1019,583,1022,');},LayoutRelative',391,'size,_143,_144,_145){if(_144==null){_144=[];}if(_145==null){_145=[];}var _146=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_14a=-1000;var bh=_14a;var bd=_14a',';var i;var j;var row;for(i=0;i<','_143',433,'row=_143','[i];H[i]=jsMath.h*','_146',';D[i]=jsMath.d*','_146',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(bh==_14a){bh=0;}if(bd==_14a){bd=0;}','var HD=(jsMath.hd-0.01)*','_146;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _158;var _159',';for(j=0;j<W.length;j++){','_158=[];y=-H[0];pW=0',';for(i=0;i<','_143',433,'_159=_143[i][j];if(_159&&_159','.format!="null"){if(','_144[j]=="l"){w=0;}else{if(_144[j]=="r"){w=W[j]-_159.w;}else{w=(W[j]-_159.w)/2;}}_159.x=w-pW;pW=_159.w+w;_159.y=y;_158[_158.length]=_159;}if(i==_143',681,'){y-=D[i];}else{y-=','Math.max(HD,D[i]+H[i+1])+','_146/10;}}if(_145[j]==null){_145[j]=_146;}if(_158.length>0',996,'(_158,"T",size);',855,551,837,'box.html,cW,0);cW=W[j]-box.w+_145[j];}else{cW+=_145[j];}}w=-_145[W',681,'];y=(H',681,')*_146/10',1049,'W',433,'w+=W[i]+_145[i];}','for(i=0;i<H.length;i++){y+=Math.max(HD,H[i]+D[i]);}h=y/2+jsMath.TeX.axis_height;var d=y-h;',855,551,'Spacer(cW-_145[W',681,']+_146/6);html=',551,837,'html,_146/6,h);',592,'html",html,w+','_146/3,h,d);box.bh=bh;box.bd=bd;',600,'LayoutAbsolute',391,'size,_15c,_15d,_15e){if(_15d==null){_15d=[];}if(_15e==null){_15e=[];}var _15f=jsMath.sizes[size]/100;',1043,'_15f',1030,'w=0;var h;var x;var y',1032,'_15c',433,'row=_15c',1036,'_15f',1038,'_15f',1040,1041,'w;}}}}y=(H',681,')*_15f/6;',1073,1045,'_16d;w=_15f/6',1047,'y=H[0]-h',1049,'_15c',433,'_16d=_15c[i][j];if(_16d&&_16d',1053,'_15d[j]=="l"){x=0;}else{if(_15d[j]=="r"){x=W[j]-_16d.w;}else{x=(W[j]-_16d.w)/2;}}',855,904,'_16d.html,w+x,y-Math.max(0,_16d.bh-jsMath.h*_15f));}if(i==_15c',681,'){y+=D[i];}else{y+=',1057,'_15f/6;}}if(_15e[j]==null){_15e[j]=_15f;}w+=W[j]+_15e[j];}w=-_15e[W',681,']+_15f/3',1049,'W',433,'w+=W[i]+_15e[i];}html=',551,'Spacer(_15f/6',')+html+',551,1131,');if(',468,'spanHeightVaries){y=h-jsMath.h;}else{y=0;}html=',551,960,'h+d,d,y,H[0]);var ',592,1083,'_15f/3,h,d);',600,'InternalMath',391,'text,size){if(!text.match(/\\$|\\\\\\(/)){',456,'Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _174="";var _175=[];var _176;var html;var box;while(i<text',678,'c=text.charAt(i++);if(c','=="$"){if(_174=="$"){','_176=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_176.error){_175[_175.length]=this.Text(_176.error,"error","T",size,1,0.2);}else{_176.Atomize();_175[_175.length]=_176.mlist.Typeset("T",size).Styled();}_174="";k=i',';}else{','_175[_175.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,0.2);','_174="$";k=i;}}else{if(c=="\\\\"){',1151,'=="("&&_174==""){',1157,',i-2',1159,'_174=")";k=i;}else{if(c==")"&&_174==")"){',1153,'2',1155,';}}}}}',1157,1159,456,'SetList(_175,"T",size);},Set',391,'box',',_17a,size',',_17c){if(box&&box.type){','if(box.type=="','typeset"){','return box;}',1179,'mlist"){box.mlist.Atomize(_17a,size);return box.mlist.Typeset(_17a,size);}',1179,'text"){box=this.Text(box.text,',594,1177,',box.ascend,box.descend',');if(_17c!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1177,1189,'return ',571,'.Null;},SetList',391,'_17d,_17e,size){var _180=[];var box;',419,'_17d',433,'box=_17d[i];',1179,1180,'box=','jsMath.mItem','.Typeset(box);}_180[_180.length]=box;}var _183=',579,'Typeset(_180);return _183.Typeset(_17e,size);}});','jsMath.Package(jsMath.','Box,{Styled',410,'if(this.format=="text"){',574,583,'this.tclass',',this.html);',574,585,586,'this.style,this.size',1216,'delete this.','tclass;',1222,'style;this.format="html";}return this;},Remeasured',410,'if(this.w>0&&!this.html.match(/position: ?absolute/)){this.w',588,'this.html).w;}return this;}});',1205,572,'type,def){this.type=type;',407,'this,def);};',407,1205,',{Atom',391,'type,_187){',766,'mItem(type,{atom:1,nuc',':_187});},TextAtom',391,'type,text,_18a,a,d){var atom=',579,1241,':{type:"text",text:text,tclass:_18a}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1248,'descend=d;}return atom;},TeXAtom',391,'type,c,font){',766,1241,':{type:"TeX",c:c,font:font}});},Fraction',391,'name,num,den,_194,left,_196){',766,'mItem("fraction",{from:name,num:num,den:den,thickness:_194,left:left,right:_196});},Space',391,'w){',766,'mItem("space",{w:w});},Typeset',391,'box){',766,'mItem("ord",{atom:1,nuc:box});},HTML',391,'html){',766,'mItem("html",{html:html});}});jsMath.mList',572,'list,font,size,_19d){if(list){','this.mlist','=list;}else{',1275,'=[];}if(_19d==null){_19d="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_19d','};this.init={',1279,'};};',1209,'mList,{Add',391,'box){return (',1275,'[','this.mlist.length',']=box);},Get',391,'i){',456,'mlist[i];},Length',410,'return ',1289,';},Last',410,'if(',1289,795,456,'mlist[',1289,'-1];},Range',391,'i,j){if(j==null){j=',1289,';}',766,'mList(',1275,'.slice(i,j+1));},Delete',391,1308,'i;}if(',1275,'.splice){',1275,'.splice(i,j-i+1);}else{var _1a4=[];for(var k=0;k<',1289,';k++){if(k<i||k>j){_1a4[_1a4.length]=',1275,'[k];}}',1275,'=_1a4;}},Open',391,'left){var box=this.Add(','new jsMath.mItem("boundary",{','data:this.data}));var _1a8=this.data;this.data={};for(var i in _1a8){this.data[i]=_1a8[i];}',1222,'data.overI;',1222,'data.overF;this.data.openI=',1289,'-1;if(left',596,'left=left;}',600,'Close',391,'_1aa){if(_1aa!=null){_1aa=',1330,'right:_1aa});}var atom;var open=this.data.openI;','var over=this.data.overI;var from=this.data.overF;','this.data=',1275,'[open].data;if(over){','atom=jsMath.mItem.Fraction(from.name,{type:"mlist",mlist:this.Range(open+1,over-1)},{type:"mlist",mlist:this.Range(over)},from.thickness,from.left,from.right);','if(_1aa){var _1af=',579,'mList([',1275,'[open],atom,_1aa]);','atom=jsMath.mItem.Atom','("inner','",{type:"mlist",mlist:','_1af});}}else{var _1b0=open+1;if(_1aa){this.Add(_1aa);_1b0--;}',1356,'((_1aa)?"inner":"ord',1358,'this.Range(_1b0)});}this.Delete(open,this.Length());',456,'Add(atom);},Over',410,1346,'var ',1350,1275,'=[atom];},Atomize',391,'_1b4,size){var'],
  [' ','_1b6',';var ','prev','="";','this.style','=_1b4;','this.size','=size',';for(var i=0;i<this.mlist.length;i++){',1,'=','this.mlist','[i];',1,'.delta=0',';if(',1,'.type=="','choice"){',12,'=this.Atomize.choice(',5,',',1,',i,',12,');i--;}','else{if(','this.Atomize[_1b6.type',']){var f=',29,'];f(',5,',',7,',',1,',',3,',this,i);}}',3,'=',1,';}if(',1,'&&',1,18,'bin"){',1,'.type="ord";}','if(',12,'.length>=2&&',1,18,'boundary"&&',12,'[0].type=="boundary"){this.','AddDelimiters','(_1b4,size);}},',60,':function(','_1ba,size){var _1bc=-10000',2,'h=_1bc',2,'d=_1bc',9,'mitem=',12,13,'if(mitem.atom||mitem',18,'box"){h','=Math.max(','h,','mitem.nuc.','h+',78,'y);d',76,'d,',78,'d-',78,'y);}}var TeX','=jsMath.TeX',2,'a=','jsMath.Typeset.','TeX(_1ba,size).','axis_height',2,'_1c2',76,'h-a,d+a);var H',76,'Math.floor(','TeX.integer','*_1c2/500)*TeX.delimiterfactor,',100,'*(2*_1c2-TeX.delimitershortfall))/',100,2,'left=',12,'[0];var _1c5=',12,'[',12,'.length-1];left.nuc','=jsMath.Box.','Delimiter(','H,left.left,_1ba);_1c5.nuc',113,114,'H,_1c5.right,_1ba);left.type="open";left','.atom=1;delete ','left.left;_1c5.type="close";_1c5',119,'_1c5.right;},Typeset',63,'_1c6,size){var _1c8=new ','jsMath.Typeset','(',12,');return _1c8.Typeset(_1c6,size);}});jsMath.Add(jsMath.mList.prototype.Atomize,{style',63,'_1c9,size,_1cb,',3,',_1cd){_1cd.style=_1cb.style;},size',63,'_1ce,size,_1d0,',3,',_1d2){_1d2.size=_1d0.size;},phantom',63,'_1d3,size,_1d5){','var box','=_1d5.nuc',113,'Set(','_1d5.phantom',',_1d3',',size);','if(_1d5.h){box','.Remeasured();','box','.html=','jsMath.HTML.','Spacer(','box.w);}else{','box.html="",box.w=0;}if(!_1d5.v){','box.h=box.d=','0;}','box.bd=box.bh=0;delete ',143,';_1d5','.type="box";},','smash',63,'_1d7,size,_1d9){',139,'=_1d9.nuc',113,142,'_1d9.smash',',_1d7,','size).Remeasured();',154,156,167,';_1d9',159,'raise',63,'_1db,size,_1dd){','_1dd.nuc',113,142,178,',_1db',',size);var ','y=_1dd.raise;',178,149,150,'Place(',178,'.html,0,y);',178,'.h+=y;',178,'.d-=y;_1dd','.type="ord";','_1dd.atom=1;},lap',63,'_1df,size,_1e1){',139,113,142,'_1e1.nuc',',_1df,',169,'var _1e3=[box];','if(_1e1.lap=="','llap"){','box.x=-box.w',';}else{',206,'rlap"){_1e3[1]=','jsMath.mItem.Space','(-',152,206,'ulap"){box.y=box.d;',154,'0',209,206,'dlap"){box.y=-box.h;',154,'0;}}}}',202,113,'SetList','(_1e3,_1df',145,206,'ulap"||_1e1.lap=="dlap"){',202,'.h=',202,'.d=0;}_1e1.type="box";delete _1e1.atom;},bin',63,'_1e4,size,_1e6',',prev){if(prev','){var type=',3,'.type;if(type=="bin"||type=="op"||type=="rel"||type=="open"||type=="punct"||type==""||(type=="',57,3,'.left!="")){_1e6.type="ord";}}else{_1e6',51,'jsMath.mList.prototype.Atomize.SupSub(',236,');},rel',63,'_1e9,size,_1eb',237,18,49,3,51,245,249,');},close',63,'_1ed,size,_1ef',237,18,49,3,51,245,259,');},punct',63,'_1f1,size,_1f3',237,18,49,3,51,245,269,');},open',63,'_1f5,size,_1f7','){',245,279,');},inner',63,'_1f8,size,_1fa','){',245,285,');},','vcenter',63,'_1fb,size,_1fd','){',139,113,142,'_1fd.nuc,_1fb',183,'TeX=',91,'TeX(_1fb',145,'box.y=TeX.',93,'-(box.h-box.d)/2;_1fd.nuc=box;_1fd',195,245,292,');},','overline',63,'_200,size,_202','){var TeX=',91,'TeX(_200',183,'box',113,142,'_202.nuc',',',91,'PrimeStyle','(_200),',169,'var t=','TeX.default_rule_thickness',2,'rule',113,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;',320,113,'SetList([box,','rule],_200',145,320,'.h+=t;_202',195,245,312,');},','underline',63,'_207,size,_209','){var TeX=',91,'TeX(_207',183,'box',113,142,'_209.nuc',',',91,323,'(_207),',169,326,327,2,'rule',113,331,'=-box.d-3*t-t;',354,113,335,'rule],_207',145,354,'.d+=t;_209',195,245,346,');},radical',63,'_20e,size,_210','){var TeX=',91,'TeX(_20e',183,'Cp=',91,323,'(_20e);',139,113,142,'_210.nuc,Cp,',169,326,327,2,'p=t;if(_20e=="D"||_20e=="D\'"){p=','TeX.x_height',';}var r=t+p/4',2,'surd',113,114,'box.h+box.d','+r+t,[0,2,112,3,112],_20e,1);t=surd.h;if(surd.d>',403,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r',2,'rule',113,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;',208,2,'Cr=',91,'UpStyle(',91,415,'_20e));var root',113,142,'_210.root,Cr,',169,'if(_210.root){root.y=0.55*(',403,'+3*t+r)-box.d;surd.x',76,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_210.nuc',113,226,'([surd,root,rule,box],_20e',145,'_210',195,245,379,');},accent',63,'_21b,size',',_21d){var TeX=',91,'TeX(_21b',183,'Cp=',91,323,'(_21b);',139,113,142,'_21d.nuc',',Cp',183,'u=box.w',2,'s',2,'Font;if(',450,18,'TeX"){Font',88,'[',450,'.font];if(','Font[_21d.nuc.c].krn','&&Font.skewchar){s=',465,'[Font.skewchar];}}if(s==null){s=0;}var c=_21d.accent[2];var font',88,'.fam[_21d.accent[1]];Font',88,'[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _226=Math.min(box.h,',397,');if(',450,18,'TeX"){var ','_227=jsMath.mItem.Atom("ord",',450,');_227.sup=_21d.sup;_227.sub=_21d.sub;_227',15,';',245,438,',_227);_226+=(_227.nuc.h-box.h);box=',450,'=_227.nuc;delete _21d.sup;delete _21d.sub;}var acc',113,'TeX(c,font,',438,');acc.y=box.h-_226;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',450,113,335,'acc],',438,');if(',450,'.w!=box.w){var _229=',212,'(box.w-',450,'.w);',450,113,226,'([',450,',_229],',438,');}_21d',195,245,438,',_21d);},op',63,'_22a,size,_22c','){var TeX=',91,'TeX(_22a',183,'box;_22c',15,2,'isD=(_22a','.charAt(0)=="','D");if','(_22c.limits','==null&&isD){_22c.limits=1;}if(','_22c.nuc',18,477,'C',88,'[_22c.nuc.font][',530,'.c];if(isD&&C.n){',530,'.c=C.n;C',88,535,'C.n];}box',113,'Set(_22c.nuc,_22a,size',');if(C.ic){_22c','.delta=C.ic*TeX.scale;if',528,'||!_22c.sub||','jsMath.Browser.msieIntegralBug','){box',113,335,212,'(_22c.delta)],','_22a,size);}}','box.y=-((',403,')/2-box.d-TeX.',93,');if(Math.abs(box.y)<0.0001){box.y=0;}}if(!box){box',113,544,').Remeasured();}if',528,'){var W=box.w',2,'x=box.w',2,'_233=[box];var dh=0',2,'dd=0;if(_22c.sup){var sup',113,142,'_22c.sup,',91,415,'_22a),',169,'sup.x=((box.w-sup.w)/2+','_22c.delta/2)-x;','dh=TeX.big_op_spacing5;W',76,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);','_233[_233.length]=','sup;delete _22c.sup;}if(_22c.sub){var sub',113,142,'_22c.sub,',91,'DownStyle','(_22a),',169,'sub.x=((box.w-sub.w)/2-',580,'dd=TeX.big_op_spacing5;W',76,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);',584,'sub;delete _22c.sub;}if(W>box.w){box.x=(W-box.w)/2;x+=box.x;}if(x<W){',584,212,'(W-x);}',530,113,226,'(_233,_22a',145,530,'.h+=dh;',530,'.d+=dd;}',28,549,'&&_22c.sub&&C&&C.ic){',530,113,335,'jsMath.Box.','Space(-C.ic*TeX.scale)],_22a,size);}',28,'box.y){',530,113,226,'([box],',555,245,517,');}},ord',63,'_238,size,_23a',',',3,',_23c,i){if(_23a.nuc',18,'TeX"&&!_23a.sup&&!_23a.sub){var _23e=','_23c.mlist[','i+1];if(_23e&&_23e.atom&&_23e.type&&(_23e',18,'ord"||_23e',18,'op"||_23e',18,'bin"||_23e',18,'rel"||_23e',18,'open"||_23e',18,'close"||_23e',18,'punct")){if(_23e.nuc',18,'TeX"&&_23e.nuc.font==_23a.nuc.font){_23a.textsymbol=1',2,'krn',88,'[_23a.nuc.font][_23a.nuc.c].krn;krn*=',91,'TeX(_238,size).scale;if(krn&&krn[_23e.nuc.c]){for(var k=_23c.mlist.length-1;k>i;k--){',637,'k+1]=',637,'k];}',637,'i+1]=',212,'(krn[_23e.nuc.c]);}}}}',245,631,');},fraction',63,'_241,size,_243','){var TeX=',91,'TeX(_241',183,'t=0;if(_243.thickness!=null){t=_243.thickness;}',28,'_243.from.match(/over/)){t=',327,';}}var isD=(_241',526,'D");var Cn=(_241=="D")?"T":(_241=="D\'")?"T\'":',91,415,'_241);var Cd=(isD)?"T\'":',91,590,'(_241);var num',113,142,'_243.num,Cn,',169,'var den',113,142,'_243.den,Cd,',169,'var u',2,'v',2,'w',2,'H=(isD)?TeX.delim1:TeX.delim2',2,'_24f=[',618,114,'H,_243.left,_241)];var _250',113,114,'H,_243.right,_241);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_24f[1]=num;_24f[2]=den',209,'den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_24f[1]=den;_24f[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1',209,'u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0){var p=(isD)?7*',327,':3*',327,2,'r=(u-num.d',')-(den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t',2,'a=TeX.',93,2,'r=(u-num.d)-(a+t/2);if(r<p){u+=p-r;}r=(a-t/2',724,'v+=p-r;}var rule',113,'Rule(w,t);rule.x=-w;rule.y=a-t/2',';_24f[_24f.length]=','rule;}num.y=u;den.y=-v',735,'_250;_243.nuc',113,226,'(_24f,_241',145,'_243',195,'_243',119,'_243.num;delete _243.den;',245,673,');},SupSub',63,'_257,size,_259){var TeX=',91,'TeX(_257',183,'nuc=','_259.nuc',2,'box=',757,113,142,757,',_257,size,0);if(box.format=="null"){box=',757,113,'Text("","normal",','_257,size);}','if(nuc',18,'TeX"){if(!_259.textsymbol){var C',88,'[nuc.font][nuc.c];if(C.ic){_259',546,'(!_259.sub){','box=',757,113,335,618,'Space(_259.delta)],_257',145,'_259',15,';}}}else{_259',15,';}}if(!_259.sup&&!_259.sub){return;}',757,'.Styled();var Cd=',91,590,'(_257);var Cu=',91,415,'_257);var q=',91,'TeX(Cu,size).','sup_drop',2,'r=',91,'TeX(Cd,size).','sub_drop',2,'u=0',2,'v=0',2,'p;if(nuc.type&&nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(_259.sub){var sub',113,142,'_259.sub,Cd',145,'sub',113,226,'([sub,',212,'(TeX.scriptspace)],_257,size',');}if(!_259.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',91,802,'x_height);',757,113,335,'sub],_257,size).Styled();','delete _259.','sub;return;}var sup',113,142,'_259.sup,Cu',145,'sup',113,226,'([sup,',212,819,');if(_257=="D"){p=TeX.sup1;}',28,'_257','.charAt(','_257','.length-1)=="\'"){','p=TeX.sup3',209,'p=TeX.sup2;}}u',76,'u,p,sup.d+',91,797,'x_height/4);if',775,'sup.y=u;',757,113,335,'sup],_257',145,828,'sup;return;}v',76,'v,',91,802,'sub2);',326,327,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*',397,'-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',147,'sub',147,855,'sub.y=-v;sup.x=_259.delta;if(sup.w+sup.x>sub.w){sup.x-=sub.w;',757,113,335,'sub,sup],',768,'else{sub.x-=(sup.w+sup.x);',757,113,335,'sup,sub],',768,828,'sup;',828,'sub;}});',125,'=function(_268){this.type="typeset";',12,'=_268;};jsMath.Add(',125,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle:{D:"S\'",T:"S\'","',899,'\'",SS:"SS\'","',901,'UpStyle',63,'_269){return this.upStyle[_269];},',590,63,'_26a){return this.downStyle[_26a];},',323,63,'_26b){if(_26b',843,'_26b',845,'return _26b;}return _26b+"\'";},StyleValue',63,'_26c,v){if(_26c=="S"||_26c=="S\'"){return 0.7*v;}if(_26c=="SS"||_26c=="SS\'"){return 0.5*v;}return v;},StyleSize',63,'_26e,size){if(_26e=="S"||_26e=="S','\'"){size=Math.max(0,size-','2);}',28,'_26e=="SS','"||',926,923,'4);}}return ','size;},TeX',63,'_270,size){if(_270=="S"||_270=="S',923,'2);}',28,'_270=="SS','"||',937,923,930,'jsMath.TeXparams[size];},AddStyle',63,'_272,size,html){if(_272=="S"||_272=="S',923,'2);}',28,'_272=="SS','"||',948,923,'4);}}if(size!=4){html="<span class=\\"size"+size+"\\">"+html+"</span>";}return html;},AddClass',63,'_275,html){if(_275!=""&&_275!="normal"){html=',150,'Class(_275,html);}return html',';}});jsMath.','Package(',125,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',961,'punct',963,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',963,',bin:2,rel:3,open',969,'}},SSsep:{ord:{op:1},op',963,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',63,'l,r,_279){if(l&&l.atom&&r.atom){var _27a=this.DTsep;if(_279',526,'S"){_27a=this.SSsep;}var row=_27a[l.type];if(row&&row[r.type]!=null){return jsMath.TeX[this.sepW[row[r.type]]];}}return 0;},Typeset',63,'_27c,size){',5,'=_27c;',7,'=size',2,'_27e=-10000;this.w=0;this.h=_27e;this.d=_27e;this.bh=this.h;this.bd=this.d;','this.tbuf','="";this.','tx=0;','this.tclass','="";','this.cbuf',991,'hbuf',991,'hx=0',2,'_27f=null',2,3,';this.x=0;this.dx=0',9,3,'=_27f;_27f=',12,13,'switch(_27f.type){case "size":','this.FlushClassed();',7,'=_27f.size;','_27f=prev;break;case "','style":',1011,'if(',5,843,5,845,5,'=_27f.style','+"\'";}else{',5,1023,';}',1014,'space":if(typeof (_27f.w)=="object"){if(',5,843,'1)=="','S"){_27f.w=0.','5*','_27f.w[0]/18',';}',28,5,526,1033,'7*',1035,209,'_27f.w=',1035,';}}}this.dx+=_27f.w-0;',1014,'html":',1011,'if(this.hbuf==""){this.hx=this.','x;}','this.hbuf+=','_27f.html;_27f=',3,';break;default:if(!_27f.atom&&_27f.type!="box"){break;}','_27f.nuc.','x+=this.dx+this.',977,'(',3,',_27f,',5,');if(',1056,'y||',1056,'x){',1056,'Styled();}this.dx=0;this.x=this.x+this.w;this.w+=',1056,'w+',1056,'x;if(',1056,'format=="text"){if(',993,'!=',1056,'tclass','&&',993,'!=""){this.FlushText();}if(',990,'==""&&',995,'==""){this.tx=this.x;}',990,'+=',1056,'html;',993,'=',1056,1079,209,1011,'if(',1056,'x||',1056,'y){this.Place(_27f.nuc);}',1050,'x;}',1052,1056,'html;}this.h',76,'this.h,',1056,'h+',1056,'y);this.bh',76,'this.bh,',1056,'bh);this.d',76,'this.d,',1056,'d-',1056,'y);this.bd',76,'this.bd,',1056,'bd);break;}}',1011,'if(this.dx){',1052,150,151,'this.dx);this.w+=this.dx;}if(this.hbuf==""){return ',618,'Null;}if(this.h==_27e){this.h=0;}if(this.d==_27e){this.d=0;}',139,'=new jsMath.','Box("html",this.hbuf,this.w,this.h,this.d);box.bh=this.bh;box.bd=this.bd;return box;},FlushText:function(){if(',990,'==""){return;}',995,'+=',91,'AddClass(',993,',',990,');',990,'="";',993,'="";},FlushClassed:function(){this.FlushText();if(',995,1139,1050,'tx;}',1052,91,'AddStyle(',5,',',7,',',995,');',995,'="";},Place',63,'item){var ','html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',150,'Em(item.x)+";";}if(item.y){html+=" top:"+',150,'Em(-item.y',')+";";}item',149,'html+"\\">"+','item.html+"</span','>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',63,'item){if(item.y){item.',1169,'; "+"top:"+',150,1174,')+";"+"\\">"+',1178,'>";}if(item.x){item',149,150,151,'item.x)+item.html;}',1180,957,'Parse','=function(s,font,size,','_289){var _28a=new ','jsMath.Parser','(s,font,size,_289);_28a.Parse();return _28a;};',1200,1198,'_28e){this.string=s;this.i=0;',12,1136,'mList(null,font,size,_28e);};jsMath.Package(',1200,',{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\x01','":"Space","\\','t',1210,'r',1210,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],leftarrow:[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],','mapstochar',':[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1224,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1224,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1222,'rangle":[5,2,105,3,11],"\\\\langle":[4,2,104,3,10],"\\\\rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1232,'T"],scriptstyle',1232,'S"],scriptscriptstyle',1232,'SS"],rm',':["HandleFont",','0],mit',1240,'1],oldstyle',1240,'1],cal',1240,'2],it',1240,'4],bf',1240,'6],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1252,'arctan',1252,'arg',1252,'cos',1252,'cosh',1252,'cot',1252,'coth',1252,'csc',1252,'deg',1252,'det',':"NamedOp",','dim',1252,'exp',1252,'gcd',1272,'hom',1252,'inf',1272,'ker',1252,'lg',1252,'lim',1272,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1290,'sup"],ln',1252,'log',1252,'max',1272,'min',1272,'Pr',1272,'sec',1252,'sin',1252,'sinh',1252,'sup',1272,'tan',1252,'tanh',1252,290,':["HandleAtom","',290,'"],',310,1316,310,'"],',344,1316,344,'"],over',':"HandleOver",','overwithdelims',1327,'atop',1327,'atopwithdelims',1327,'above',1327,'abovewithdelims',1327,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1339,'","[","]"],choose',1339,'","(",")"],overbrace',':["Extension","leaders"],','underbrace',1345,'overrightarrow',1345,'overleftarrow',1345,'overset',':["Extension","underset-overset"],','underset',1353,'llap',':"HandleLap",','rlap',1357,'ulap',1357,'dlap',1357,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1365,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1369,'not="],neq',1369,'not="],notin',1369,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1369,1376,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1369,'mathbin{\\\\rm mod}"],pmod',1369,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1369,'ointop\\\\nolimits"],doteq',1369,'buildrel\\\\textstyle.\\\\over="],ldots',1369,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1369,1392,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1369,1392,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1369,1392,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1369,1376,'kern-4mu}"],relbar',1369,1376,'smash-}"],','Relbar',1369,1381,'="],bowtie',1369,1381,'\\\\',1216,'\\\\joinrel\\\\',1381,'\\\\triangleleft"],models',1369,1381,'|\\\\joinrel="],mapsto',1369,1218,'\\\\rightarrow"],rightleftharpoons',1369,290,'{\\\\',1376,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1220,'}"],hookrightarrow',1369,'lhook\\\\','joinrel\\\\rightarrow"],','hookleftarrow',1369,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1369,1409,1417,'Rightarrow"],','longrightarrow',1369,'relbar\\\\',1435,'longleftarrow',1369,1438,'relbar"],Longleftarrow',1369,'Leftarrow\\\\joinrel\\\\',1409,'"],longmapsto',1369,1218,'\\\\char{cmsy10}{0}\\\\',1435,'longleftrightarrow',1369,'leftarrow\\\\',1435,'Longleftrightarrow',1369,1453,1443,'iff:["Macro","\\\\;\\\\',1464,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1471,'rm #1}",1],mathbf',1471,'bf #1}",1],','mathbb',1471,1476,'mathit',1471,'it #1}",1],textrm',1369,'mathord{\\\\hbox{#1}}",1],','textit',1369,'mathord{\\\\class{',1485,'}{\\\\hbox{#1}}}",1],','textbf',1369,1487,1490,1489,'TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace',':["Spacer",','1/2],quad',1496,'1],qquad',1496,'2],thinspace',1496,'1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1504,'ord",1.','15],bigg',1504,1507,'45],Bigg',1504,1507,'75],bigl',1504,'open",0.85],Bigl',1504,'open",1.','15],biggl',1504,1518,'45],Biggl',1504,1518,'75],bigr',1504,'close",0.85],Bigr',1504,'close",1.','15],biggr',1504,1529,'45],Biggr',1504,1529,'75],bigm',1504,'rel",0.85],Bigm',1504,'rel",1.','15],biggm',1504,1540,'45],Biggm',1504,1540,'75],mathord',1316,'ord"],mathop',1316,'op"],mathopen',1316,'open"],mathclose',1316,'close"],mathbin',1316,'bin"],',1381,1316,'rel"],mathpunct',1316,'punct"],mathinner',1316,'inner"],','mathchoice',':["Extension","',1565,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1566,'fbox"],strut:"Strut",mathstrut',1369,'vphantom{(}"],phantom:["Phantom",1,1],vphantom:["Phantom",1,0],hphantom:["Phantom",0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1573,'18]],ddot',1573,'127]],tilde',1573,'126]],bar',1573,'22]],breve',1573,'21]],check',1573,'20]],hat',1573,'94]],vec',':["MathAccent",[0,','1,126]],dot',1573,'95]],widetilde',1589,'3,101]],widehat',1589,'3,98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',1597,'","&nbsp;","normal"],angle:["',1597,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix","(",")","c"],cases:["Matrix","\\\\{",".",["l","l"]],cr:"HandleRow","\\\\":"HandleRow",begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',1603,'1],scriptsize',1603,'2],small',1603,'3],normalsize',1603,'4],large',1603,'5],Large',1603,'6],LARGE:["Han'],
  ['dleSize",7],huge:["','HandleSize','",8],Huge:["',1,'",9],dots:["','Macro','","\\\\ldots"],','newcommand',':["Extension","',7,'"],def',8,7,'"],color',8,'HTML"],','href',8,'HTML"],"class":["','Extension','","',15,'style',8,15,'cssId',8,15,'unicode',8,15,'require:"','Require','","char":"Char"},','environments',':{array:"Array",','matrix',':["Array",null,null,"','c"],pmatrix',':["Array','","(",")","c"],bmatrix',39,'","[","]","c"],Bmatrix',39,'","\\\\{","\\\\}","c"],vmatrix',39,'","\\\\vert","\\\\vert","c"],Vmatrix',39,'","\\\\Vert","\\\\Vert","c"],cases',39,'","\\\\{",".","ll"],eqnarray',37,'rcl",[5/18,5/18],"D"]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.','special[',56,'[id]]=obj[id];}},Error',53,'(s){this.i=','this.string','.length;','if(s','.error){','this.error','=s.error;}else{if(!this',66,67,'=s;}}},nextIsSpace',53,'(){','return ','this.string.charAt(this.i',')==" ";},trimSpaces',53,'(text){','if(typeof (','text)!="string"){',74,'text;}',74,'text','.replace(/^\\s+|\\s','+/g,"");},','Process',53,'(arg','){var ','data=','this.mlist.','data;','arg=','jsMath.','Parse(arg,','data.font',',','data.size',',data.style',');if(arg',66,'this.Error(','arg);','return null',';}if(arg.mlist.Length()==','0){',105,106,'1',90,'atom=','arg.mlist.','Last();if','(atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',118,'TeX")){',74,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},GetCommand',53,'(){var ','_296=/^([a-z]+|.) ?/i;var cmd=_296.exec(','this.string.slice(','this.i));','if(cmd){this.i+=cmd[1].length;',74,'cmd[1];}','this.Error("','Missing',' control sequnece name at end of string or',' argument','");',105,';},GetArgument',':function(name',',','_299){','while','(this.nextIsSpace()){this.i','++;}','if(this.','i>=',63,'.length){','if(!',141,132,133,135,' for "+','name);}',105,';}if(',75,')==','this.close){if','(!',141,132,'Extra close brace','");}',105,157,75,')==','this.cmd','){','this.i++;',74,170,'+','this.GetCommand','();}if(',75,')!=this.open','){return ',75,'++);}var j=++','this.i;var ','_29b=1;var c="";',142,'(this.i<this.string.length){','c=',75,'++);','if(c==this.cmd){','this.i','++;}else{if(c','==this.open){_29b',192,'==',160,'(_29b==0){',132,164,'");',105,';}if(--_29b==0',180,127,'j,this.i-1);}}}}}',132,'Missing close brace','");',105,';},ProcessArg',139,90,94,'this.GetArgument(','name);','if(this.error){return',' null;}','return this.Process(arg);},','ProcessScriptArg',139,90,94,214,215,216,217,'if(arg.charAt(0)==',170,'){','csname','=arg.substr(1);if(',230,'=="frac"){arg+="{"+',214,230,')+"}";',216,217,'arg+="{"+',214,230,')+"}";',216,' null;}}else{if(csname','=="sqrt"){arg+="["+','this.GetBrackets(',230,')+"]";',216,217,'arg+="{"+',214,230,')+"}";',216,244,'.match(this.scriptargs)){arg+="{"+',214,230,')+"}";',216,' null;}}}}}',218,'GetDelimiter',139,'){',142,143,'++;}var c=',75,');if',186,172,190,'c="\\\\"+',176,'(',215,216,' null;}}','if(','this.delimiter[','c]!=null',180,282,'c];}}',132,133,' or unrecognized delimiter',154,215,105,';},GetDimen',139,',nomu',90,'rest;var _2a6=0;if',143,'++;}if(',75,')=="{"){rest=',214,155,'else{rest=',127,'this.i);_2a6=1',';}var ','_2a7=rest.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_2a7){',132,133,' dimension or its units',154,215,105,157,'_2a6){this.i+=_2a7[0].length;if',143,'++;}}var d=_2a7[1]-0;if(_2a7[4]=="px"){d/=',95,'em',';}else{if(_2a7[4]=="','pt"){d/=10',321,'ex"){d*=','jsMath.TeX.','x_height',321,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',74,'d;},GetNext',53,'(){',142,143,'++;}',74,75,');},GetBrackets',139,90,'c=this.GetNext();if(c','!="["){return "";}var _2ab=++',183,'_2ac=0;',142,186,'var c=',75,'++);if(c=="{"){','_2ac',192,'=="}"){if(','_2ac==0){',132,164,' while looking for',' \']\'");',105,';}_2ac--;}else{',190,'this.i',192,'=="]"){if(_2ac==0',180,127,'_2ab,this.i-1);}}}}}}',132,'Couldn\'t find',' closing \']\' for',135,' to "+','this.cmd+name);',105,';},GetUpto',139,',_2af){',142,143,'++;}var _2b0=',183,'_2b1=0;',142,186,'var c=',75,349,'_2b1',192,352,'_2b1==0){',132,164,356,' "+',170,'+_2af);',105,';}_2b1--;}else{',190,'if(',127,'this.i,this.i+','5)=="begin"){_2b1++;this.i+=4;}else{if(',127,402,'3)=="end"){if(_2b1>0){_2b1--;this.i+=2;}}}if(',390,'if(',127,402,'_2af.length)==_2af){c=',75,'+_2af.length);if(c.match(/[^a-z]/i)||!_2af.match(/[a-z]/i)){var ',94,127,'_2b0,this.i-1);this.i+=_2af',64,74,'arg;}}}this.i++;}}}}',132,368,' "+',170,'+_2af+" for "+',215,105,';},','ProcessUpto',139,',_2b5',90,94,'this.GetUpto','(name,_2b5);',216,217,218,'GetEnd',53,'(env',90,'body="";var name="";',142,'(name!=env){body+=',433,'("begin{"+env+"}","end");',216,217,'name=',214,170,'+"end");',216,280,74,'body;},Space',53,'(){},','Prime',53,'(c',90,'base=',92,114,'(base==null||(!base',116,'base.type!="','box"&&',468,'frac")){',463,'this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}));}','if(base.sup){',132,'Prime causes double exponent',': use braces to clarify");return',307,'sup="";',142,'(c=="\'"){sup+=',170,'+"prime";',341,'=="\'"){this.i++;}}','base.sup=this.',87,'(sup);','base.sup.isPrime','=1;},RaiseLower',139,90,'h','=this.GetDimen(this.cmd+name',',1);',216,307,'box','=this.ProcessArg(',372,216,157,'name=="lower"){h=-h;}',92,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',139,90,'x',495,496,216,307,'box',500,372,216,157,'name=="moveleft"){x=-x;}',473,'Space(x));',473,'Atom("ord",box));',473,'Space(-x));},',32,139,90,'file=',214,372,216,';}file=',95,19,'.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.',19,'(null,[','file]);},',19,139,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',56,'[data[1]||"macros"][name];}','jsMath.Script.','Start();',95,19,'.',32,'(data[0],',549,'.asynchronous',');throw "restart";},Frac',139,90,'num',500,372,216,307,'den',500,372,216,';}',473,'Fraction("over",num,den));},Sqrt',139,90,'n=',246,372,216,307,'arg',500,372,216,';}box=jsMath.mItem.Atom("radical",arg);',145,'n!=""){box.root=this.',87,'(n);',216,';}}',92,'Add(box);},','Root',139,90,'n=this.',428,'(',170,'+name,"of");',216,307,'arg',500,372,216,590,'box.root=n;',92,598,'BuildRel',139,90,'top=this.',428,'(',170,'+name,"over");',216,307,'bot',500,372,216,307,'op=',95,'mItem.Atom("','op",bot);op.limits=1;op.sup=top;',92,'Add(op);},MakeBig',139,',data){var ','type=data[0];var h=data[1]*',95,'p_height;var _2d8=this.',264,'(',372,216,';}',473,'Atom(type,',95,'Box.Delimiter(h,_2d8,"T")));},Char',139,90,'font=',214,372,216,307,'n=',214,372,216,';}if(!','jsMath.TeX[font',']){',664,']=[];this.',19,544,'jsMath.Font.URL(font',')]);}else{',473,'Typeset(',95,'Box.TeX(n-0,font,"T",',92,99,')));}},Matrix',139,',_2dd',90,'data=',92,93,'var ',94,214,372,216,307,'_2e0','=new jsMath.Parser(arg','+"\\\\\\\\",null,',99,');_2e0.',36,'=name;_2e0.row=[];_2e0.table=[];_2e0.Parse();if(_2e0',66,103,'_2e0);',541,'_2e0','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_2e0.table,_2dd[2]);if(_2dd[0]&&_2dd[1]){var left','=jsMath.Box.Delimiter(box.h+box.d,this.delimiter[','_2dd[0]],"T");var _2e3',705,'_2dd','[1]],"T");box=jsMath.Box.SetList([left,box,','_2e3],','data.style,data.size',');}',473,'Atom((_2dd','[0]?"inner":"ord"),box));},','HandleEntry',139,'){','if(!this.',36,'){',103,'name+" can only appear in a matrix or array");return;}','if(',92,'data.openI',551,'var open=',92,'Get(',92,726,');if(open','.left){',132,133,' "+',170,'+"right','");}else{',132,207,'");}}if(',92,'data.overI',551,92,'Over();}var data=',92,93,92,'Atomize(',711,');var box=',92,673,711,');this.row[','this.row.length',']=box;this.mlist=new ',95,'mList(null,null,',99,100,');},HandleRow',139,',last){',719,36,'){',103,170,'+',723,'this.',716,'(',215,'if(!last||',759,'>1||this.row[0].format!="null"){this.table[this.table.length]=this.row;}this.row=[];},Array',139,',_2eb',90,'_2ec=_2eb[2];var _2ed=_2eb[3];if(!_2ec){_2ec=',214,170,'+"begin{"+name+"}");',216,';}}_2ec=_2ec.replace(/[^clr]/g,"");_2ec=_2ec.split("");var data=',92,93,'var _2ef=_2eb[4]||"T";var ',94,'this.GetEnd(',215,216,307,'_2f1',692,'+',170,'+"\\\\",null,',99,',_2ef);_2f1.',36,'=name;_2f1.row=[];_2f1.table=[];_2f1.Parse();if(_2f1',66,103,'_2f1);',541,'_2f1',703,'_2f1.table,_2ec,_2ed);if(_2eb[0]&&_2eb[1]){var left',705,'_2eb[0]],"T");var _2f4',705,'_2eb',709,'_2f4],',711,');}',473,'Atom((_2eb',715,'Begin',139,90,'env=',214,372,216,157,'env.match(/[^a-z*]/i)){',132,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',719,34,'[env]){',132,'Unknown',837,839,'var cmd=this.',34,'[env];',79,'cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',139,90,'env=',214,372,216,';}',103,170,'+name+"{"+env+"} without matching "+',170,'+"begin");},Spacer',139,',w){',473,'Space(w-0));},Hskip',139,90,'w=this.GetDimen(',372,216,';}',473,'Space(w));},HBox',139,90,'text=',214,372,216,';}','var box=jsMath.','Box.InternalMath(text,',92,99,');',473,673,'box));},Rule',139,',_302',90,'w',495,496,216,307,'h',495,496,216,307,'d',495,496,216,';}h+=d;var html;if(h!=0){h=Math.max(1.05/',95,'em,h);}if(h==0||w==0||_302=="blank"){html=','jsMath.HTML.','Blank(w,h);}else{html=',913,'Rule(w,h);}if(d){html','="<span style=\\"','vertical-align:"+',913,'Em(-d)+"\\">"+','html+"</span','>";}',473,673,'new ',95,'Box("html",html,w,h-d,d)));},Strut',53,125,'size=',92,99,';',885,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',473,673,'box));},Phantom',139,639,'arg',500,372,216,';}',92,506,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',139,639,'arg',500,372,216,';}',92,506,'smash",{smash:arg}));},MathAccent',139,',_310',90,'c',500,372,216,307,112,95,634,'accent",c);atom.accent=_310[0];',92,'Add(atom);},NamedOp',139,639,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?0.2:0;if(data[1]){name=data[1];}',885,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',92,598,'Limits',139,639,112,92,114,'(!atom||atom.type!="op"){',103,170,'+name+" is allowed only on operators");',541,'atom.limits=data[0];},',5,139,639,'text=data[0];if(data[1]){var args=[];','for(var i=0;i<','data[1];i++){args[args.length]=',214,372,216,';}}','text=this.','SubstituteArgs','(args,text);}',63,'=','this.AddArgs(','text,',127,128,'this.i=0;},',1003,53,'(args,_321',90,'text="";var _323="";var c;var i','=0;while(i<','_321',148,'c=','_321.charAt(i','++);',190,'text+=c+',1021,'++);}else{if(c=="#"){c=',1021,'++);if(c=="#"){text+=c;}else{if(!c.match(/[1-9]/)||c>args',148,132,'Illegal macro parameter reference");',541,'_323=',1007,1007,'_323,text','),args[c-1]);text="";}}else{text+=c;}}}',74,1007,1036,');},AddArgs',53,'(s1,s2){if(s2.match(/^[a-z]/i)&&s1.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){s1+=" ";}',74,'s1+s2;},Replace',139,548,473,'TextAtom',561,'data[1],data[2],data[3]));},Tilde',139,'){',473,'TextAtom("ord','","&nbsp;","normal"));},HandleLap',139,90,'box=this.ProcessArg();',216,';}box=',92,506,'lap",{nuc:box,lap:name}));},HandleAtom',139,639,'arg',500,372,216,';}',473,'Atom(data,arg));},HandleMathCode',139,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',53,'(type,font,code){if(type==7&&',92,97,551,654,92,97,';}',654,325,'fam[font];if(!',664,']){',664,']=[];this.',19,544,670,')]);}else{',473,'TeXAtom(',325,'atom[type],code,font));}},','HandleVariable',53,'(c',1076,'7,1',',c.charCodeAt(0));},','HandleNumber',53,'(c',1076,'7,0',1107,'HandleOther',53,'(c){',473,1055,'",c,"normal"));},HandleComment',53,125,'c;',142,186,'c=',75,'++);if(c=="\\r"||c=="\\n"){return;}}},HandleStyle',139,',_33a){',92,'data.style=_33a[0];',92,506,'style",{style:_33a[0]}));},',1,139,',size){',92,99,'=size[0];',92,506,'size",{size:size[0]}));},HandleFont',139,',font){',92,97,'=font[0];},HandleCS',53,125,'cmd=',176,'();',216,';}',145,'macros[cmd]){var _340=this.macros[cmd];',79,'_340',852,'_340=[_340];}this[_340[0]](cmd,_340.slice(1));',541,145,'mathchardef[cmd',']){this.HandleMathCode(','cmd,this.',1164,']);',541,'if(',282,170,'+cmd',1165,'cmd,',282,170,'+cmd].slice(0,3));',541,132,'Unknown control sequence \'"+',170,'+cmd+"\'");},HandleOpen',53,'(){',92,'Open();},HandleClose',53,'(){if(',92,726,'==null){',132,164,'");',541,'var open=',92,'Get(',92,726,');if(!open||','open.left',1192,92,'Close();}else{',132,164,' or missing "+',170,739,'");return;}},HandleLeft',139,90,'left=this.',264,'(',372,216,';}',92,'Open(left);},HandleRight',139,90,'_345=this.',264,'(',372,216,307,'open=',92,'Get(',92,726,733,'&&',1203,551,92,'Close(_345);}else{',132,'Extra open brace or missing "+',170,'+"left");}},HandleOver',139,548,'if(',92,745,551,132,'Ambiguous use of "+',372,541,92,745,'=',92,'Length();',92,'data.overF={name:name};if(data.length>0){',92,'data.overF.','left=',282,'data[0]];',92,1264,'right=',282,'data[1]];}else{if(name.match(/withdelims$/)){',92,1264,1215,264,'(',372,216,';}',92,1264,1270,'this.',264,'(',372,216,';}}else{',92,1264,'left=null;',92,1264,1270,'null;}}if(name.match(/^above/)){',92,1264,'thickness=','this.GetDimen(',170,'.name',496,216,1289,92,1264,1299,'null;}},HandleSuperscript',53,125,463,92,114,'(base==null||(!base',116,468,'box"&&',468,'frac")){',463,473,474,475,'if(',490,'){',463,473,474,'else{',132,'Double exponent',478,';}}',487,219,'("superscript");',216,';}},HandleSubscript',53,125,463,92,114,'(base==null||(!base',116,468,'box"&&',468,'frac")){',463,473,474,'if(base.sub){',132,'Double subscripts',478,';}base.sub=this.',219,'("subscript");',216,';}},Parse',53,125,'c;',142,186,'c=',75,'++);',145,'mathchar[c',1165,'c,this.',1373,']);}else{',145,58,'c]){this[this.',58,'c]](c);}else{',145,'letter','.test(c)){this.',1102,'(c);}else{',145,'number',1385,1108,1387,'this.',1114,'(c);}}}}}if(',92,726,551,'var open=',92,'Get(',92,726,733,'.left){',132,133,' "+',170,739,740,132,207,'");}}if(',92,745,551,92,'Over();}},Atomize',53,125,'data=',92,'init;if(!this',66,92,752,711,');}},Typeset',53,125,'data=',92,'init;var box=this.typeset=',92,673,711,');',216,' "<span class=\\"error\\">"+',67,'+"</span>";}if(box.format=="null"){return "";}box.Styled().Remeasured();var _350=0;var _351=0;if(box.bh>box.h&&','box.bh>jsMath.h+0.001){','_350=1;}if(box.','bd>box.d&&box.bd>',95,'d+0.001){',1444,'h>',95,'h||box.d>',95,'d){_351=1',307,'html=box.html;if(_350){if(','jsMath.Browser.','allowAbsolute',90,'y=0;if(',1443,'y=',95,'h-box.bh;}html=',913,'Absolute(html,box.w,',95,'h,0,y,',95,'h);}else{if(',1456,'valignBug){','html="<span style=\\"line-height:"+jsMath.HTML.Em(jsMath.d',')+";\\">"+',921,'>";}else{var dy=',913,'Em(Math.max(0,box.bd-',95,'hd)/3);',1472,')+";"+" position:relative; top:"+dy+"; ',918,'dy+"\\">"+',921,'>";}}_351=1',157,'_351){html+=',913,'Blank(0,box.h+0.05,box.d+0.05);}return "<nobr><span class=\\"scale\\">"+',921,'></nobr>";}});',56,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{',5,139,90,'_356=',56,'.macros;','_356','[name]=["',5,'"];for(var i=1;i<arguments',64,'i++){_356[name][_356[name].length]=arguments[i];}}});',95,19,'={safeRequire:1,',5,139,',file',90,'_35a=',56,1500,'if(file',1192,'file=name;}_35a',1502,19,'",file];},LaTeX',53,'(env,file',90,'_35d=',56,'.',34,';_35d[env]=["',19,'",file,"',34,'"];},Font',139,1145,'if(font',1192,654,'name+"10";}var _360=',56,1500,'_360',1502,19,'",',670,')];},MathChar',53,'(font,defs',90,'fam=',325,'famName[font','];if(fam',1192,1552,325,'fam',64,325,'fam[fam]=font;',325,1554,']=fam',307,'_364=',56,'.mathchardef;for(var c in defs){_364[c]=[defs[c][0],fam,defs[c][1]];}},',32,53,'(file,show){',145,'safeRequire&&(file.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(file.match(/:/)&&file.substr(0,',95,'root.length)!=',95,'root))){',538,539,']=1;',541,538,'Script(this.URL(file),show);},URL',53,'(file){file=file',85,'+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',74,'file;}};',1494,87,53,54,538,'Body();',555,'Push(',549,',"','Asynchronous','",obj);},ProcessBeforeShowing',53,54,538,1596,'var _36b=(','jsMath.Controls.cookie.','asynch?"',1601,'":"','Synchronous','");',555,1598,549,',_36b,obj);}});',549,'={element:[],cancel:0,TextMode',53,'(s',90,'_36d','=jsMath.Parse(s,null,null,"','T");',1623,'.Atomize();var html=',1623,'.Typeset();return html;},','DisplayMode',53,'(s',90,'_370',1624,'D");',1634,1627,1634,1629,'GetElementText',53,'(_372',90,1002,'recursiveElementText','(_372);_372.alt=text;if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1648,'gt;/g,">");',1648,'quot;/g,"\\"");',1648,'amp;/g,"&");}',74,'text;},',1646,53,'(_374){if(','_374.nodeValue','!=null',180,1661,157,'_374.childNodes','.length==0){return " ";}var text="";',996,1666,64,'i++){text+=this.',1646,'(',1666,'[i]);}',74,1657,'ResetHidden',53,'(_377){_377.innerHTML',917,'visibility: hidden; position:absolute; top:0px;left:0px;\\"></span>"+',1456,'operaHiddenFix;_377.className="";',95,'hidden=_377.firstChild;if(!',95,'BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}',95,'ReInit();},','ConvertText',53,'(_378','){var text=this.GetElementText(','_378',');this.ResetHidden(','_378);',1002,'TextMode(text);_378','.className="typeset";','_378','.innerHTML=text;},','ConvertDisplay',53,'(_37a',1696,'_37a',1698,'_37a);',1002,1630,'(text);_37a',1702,'_37a',1704,'ProcessElement',53,'(_37c){this.restart=0;try','{if(_37c.tagName.toLowerCase()=="','div"){this.',1705,'(_37c);_37c.onclick=jsMath.Click.CheckClick;_37c.ondblclick=jsMath.Click.CheckDblClick',';}else',1721,'span"){this.',1693,1724,';}}}catch(err){if(_37c.alt',90,'tex=_37c.alt;','tex=tex.replace','(/&/g,"&amp;");',1733,'(/</g,"&lt;");',1733,'(/>/g,"&gt;");_37c.innerHTML=tex;_37c.className="math";}',1689,';}},','ProcessElements',53,'(k){',555,'blocking=','1;if(k>=','this.element.length','||this.cancel){this.','ProcessComplete','();',145,'cancel){','jsMath.Message.','Set("',87,' Math: Canceled");',1753,'Clear();}',555,1745,'0;',555,87,'();}else{','this.ProcessElement(this.element[','k]);',145,'restart){',555,1598,'this,"',1741,'",k);',555,1745,'0;setTimeout("',555,87,'()",',1456,'delay);}else{k++;var p=Math.floor(100*k/',1747,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',549,'.',1741,'("+k+")",',1456,'delay);}}},',1601,53,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);','this.cancel=0;this',563,'=1;',555,1745,'1;',1784,': 0%",1);setTimeout("',549,'.',1741,'(0)",',1456,'delay);},',1612,53,'(obj,i){if(i==null',1795,'i=0;}this',563,1017,1747,'){',1765,'i]);',145,'restart){',95,'Synchronize','("',549,'.',1612,'(null,"+i+")");',555,87,'();',541,'i++;}this.',1749,'(1);},GetMathElements',53,'(obj',90,'_384=[];if(!obj){obj=','jsMath.document',';}',79,'obj',852,'obj=',1841,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',105,307,'math=',1849,'("div','");for(var k=0;k<math.length;k++){if(math[k].className=="math"){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_384[_384.length]=math[k];}}}','math=',1849,'("span',1856,'if(',1456,'renameOK','&&obj.getElementsByName){_384=obj','.getElementsByName("_jsMath_',740,'if(',95,'hidden','.sourceIndex','){_384.sort(function(a,b',180,'a',1870,'-b',1870,';});}}',74,'_384;},',1749,53,'(_38a){if(',1456,1863,90,'_38b=',1841,1865,'");for(var i=_38b.length-1;i>=0;i--){_38b[i].removeAttribute("name");}}',1689,';this.element=[];if(!_38a){',1784,': Done");',1753,'Clear();}',1753,'UnBlank();if(',1456,'safariImgBug&&(',1608,'font=="symbol"||',1608,'font=="image")){',145,'timeout){clearTimeout(this.timeout);}this.timeout=setTimeout("','jsMath.window.resizeBy','(-1,0); "+"',1906,'(1,0); "+"',549,'.timeout = null",2000);}},Cancel',53,'(){',549,'.cancel=1;if(',555,'cancelTimer){',555,'cancelLoad();}}};',1494,'ConvertTeX',53,'(_38d){',555,'Push(jsMath.tex2math,"',1921,'",_38d);},','ConvertTeX2',53,'(_38e){',555,1925,1928,'",_38e);},','ConvertLaTeX',53,'(_38f){',555,1925,1935,'",_38f);},','ConvertCustom',53,'(_390){',555,1925,1942,'",_390);},','CustomSearch',53,'(om,cm,od,cd','){',555,1598,'null,function(){',95,'tex2math.',1949,1951,');});},tex2math:{',1921,53,458,1928,53,458,1935,53,458,1942,53,458,1949,53,'(){}}});',95,1824,'=',555,1824,';if(','window.parent','!=window){',1982,'.jsMath=jsMath;',1841,'=',1982,'.document;',95,'window=',1982,';}',95,'Loaded();',95,'Controls.GetCookie();',538,'Source();',555,'Init();',538,'Fonts();if(',1841,'.body){jsMath.Setup.Body();}}}']
]);
//end = new Date().getTime();
//alert(end-start);
